Search.setIndex({"docnames": ["advanced_examples", "api/aoi", "api/crs/coordinate_operation", "api/crs/coordinate_system", "api/crs/crs", "api/crs/datum", "api/crs/enums", "api/crs/index", "api/database", "api/datadir", "api/enums", "api/exceptions", "api/geod", "api/global_context", "api/index", "api/list", "api/network", "api/proj", "api/show_versions", "api/sync", "api/transformer", "build_crs", "build_crs_cf", "cli", "crs_compatibility", "examples", "gotchas", "history", "index", "installation", "optimize_transformations", "past_versions", "transformation_grids"], "filenames": ["advanced_examples.rst", "api/aoi.rst", "api/crs/coordinate_operation.rst", "api/crs/coordinate_system.rst", "api/crs/crs.rst", "api/crs/datum.rst", "api/crs/enums.rst", "api/crs/index.rst", "api/database.rst", "api/datadir.rst", "api/enums.rst", "api/exceptions.rst", "api/geod.rst", "api/global_context.rst", "api/index.rst", "api/list.rst", "api/network.rst", "api/proj.rst", "api/show_versions.rst", "api/sync.rst", "api/transformer.rst", "build_crs.rst", "build_crs_cf.rst", "cli.rst", "crs_compatibility.rst", "examples.rst", "gotchas.rst", "history.rst", "index.rst", "installation.rst", "optimize_transformations.rst", "past_versions.rst", "transformation_grids.rst"], "titles": ["Advanced Examples", "Area of Interest", "Coordinate Operations", "Coordinate Systems", "CRS", "Datum", "Enumerations", "CRS module API Documentation", "Database", "Data Directory", "Enumerations", "Exceptions", "Geod", "Global Context", "API Documentation", "Lists", "PROJ Network Settings", "Proj", "Show Versions", "Sync Transformation Grids", "Transformer", "Building a Coordinate Reference System", "Managing CRS to and from CF", "CLI", "CRS Compatibility Guide for Geospatial Python", "Getting Started", "Gotchas/FAQ", "Change Log", "pyproj Documentation", "Installation", "Optimize Transformations", "Documentation Archive", "Transformation Grids"], "terms": {"here": [0, 21, 24, 25, 26], "ar": [0, 2, 3, 4, 5, 9, 12, 16, 17, 19, 20, 21, 22, 23, 25, 27, 29, 32], "few": 0, "trick": 0, "try": [0, 4], "out": [0, 27], "you": [0, 4, 5, 12, 13, 20, 21, 22, 24, 25, 26, 29, 32], "want": [0, 24, 26, 32], "your": [0, 20, 22, 24, 26, 29], "new": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 12, 13, 16, 17, 18, 20, 21, 22, 26, 27, 29, 32], "version": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 12, 13, 14, 16, 17, 20, 21, 22, 23, 24, 26, 27, 28, 29, 32], "2": [0, 1, 2, 3, 4, 5, 6, 8, 10, 12, 17, 18, 20, 21, 22, 28, 29, 31, 32], "1": [0, 2, 3, 4, 5, 6, 9, 10, 12, 17, 18, 20, 21, 22, 23, 24, 29, 31, 32], "0": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 12, 13, 16, 17, 20, 21, 22, 23, 24, 25, 26, 29, 31, 32], "If": [0, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 29], "us": [0, 1, 2, 4, 5, 8, 9, 10, 12, 13, 16, 17, 18, 20, 21, 22, 23, 24, 27, 29, 32], "can": [0, 2, 4, 5, 12, 13, 17, 19, 20, 21, 22, 24, 25, 26, 27, 29, 32], "help": [0, 17, 20, 24, 27], "import": [0, 1, 4, 8, 12, 15, 17, 18, 20, 21, 24, 25, 26, 27, 32], "numpi": [0, 12, 17, 20, 27], "np": 0, "from": [0, 2, 3, 4, 5, 8, 10, 12, 17, 20, 21, 27, 28, 32], "from_cr": [0, 17, 20, 21, 25, 26, 27], "2263": 0, "4326": [0, 4, 17, 20, 22, 24, 25, 26, 32], "x_coord": 0, "random": 0, "randint": 0, "80000": 0, "120000": 0, "y_coord": 0, "200000": 0, "250000": 0, "result": [0, 17, 20, 25, 29], "160": 0, "m": [0, 8, 17, 21, 22, 27], "3": [0, 1, 2, 3, 4, 8, 9, 10, 12, 13, 16, 17, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "68": 0, "per": [0, 27, 32], "loop": [0, 12], "mean": [0, 20, 25], "std": 0, "dev": [0, 27], "7": [0, 2, 5, 12, 17, 20, 24, 25, 26, 29], "run": [0, 27, 29], "each": [0, 13, 17, 20, 26], "6": [0, 4, 12, 17, 20, 24, 25, 29, 31], "32": [0, 12, 20, 27], "\u00b5": 0, "49": [0, 22], "n": [0, 2, 4, 20, 22, 25, 26, 29], "100000": [0, 22], "skip": [0, 27], "noop": [0, 27], "The": [0, 1, 2, 3, 4, 5, 8, 9, 12, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 29, 32], "transformergroup": [0, 14, 27, 32], "provid": [0, 8, 13, 20, 21, 27, 29], "both": [0, 22], "avail": [0, 2, 8, 20, 22, 25, 27, 32], "well": [0, 4, 22, 25, 26, 27], "miss": [0, 5, 20, 21, 23, 27, 32], "an": [0, 2, 3, 4, 5, 9, 12, 16, 17, 20, 21, 23, 25, 26, 27, 32], "altern": [0, 2, 20], "have": [0, 5, 13, 20, 21, 23, 24, 25, 26, 27, 29, 32], "good": [0, 26], "reason": [0, 26], "trans_group": [0, 32], "epsg": [0, 2, 3, 4, 5, 8, 17, 20, 22, 24, 25, 27], "2964": [0, 32], "best_avail": [0, 20, 32], "true": [0, 1, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 24, 25, 26, 27, 29, 32], "8": [0, 3, 4, 12, 17, 20, 25, 28, 29, 32], "unavailable_oper": [0, 20, 32], "66": [0, 12, 25], "153": 0, "149661": 0, "2825058747": 0, "5849322": 0, "174897663": 0, "149672": 0, "928811047": 0, "5849311": 0, "372139239": 0, "149748": 0, "32734832275": 0, "5849274": 0, "621409136": 0, "check": [0, 1, 2, 4, 17, 20, 27], "best": [0, 4, 17, 20, 21, 24, 25, 29, 32], "possibl": [0, 20, 21, 23, 27], "exist": [0, 2, 4, 9, 17, 20, 24, 26, 29], "And": 0, "how": [0, 13, 23, 26, 29], "get": [0, 4, 8, 9, 12, 19, 20, 21, 22, 26, 27, 28, 29], "grid": [0, 3, 4, 7, 9, 14, 16, 17, 20, 23, 27, 28], "tg": [0, 32], "aea": [0, 21, 27], "lat_0": [0, 2, 21, 25, 27], "50": [0, 25, 26], "lon_0": [0, 2, 21, 27], "154": 0, "lat_1": [0, 2, 21], "55": 0, "lat_2": [0, 2, 21], "65": [0, 12, 25], "x_0": [0, 2, 21, 25], "y_0": [0, 2, 21, 25], "datum": [0, 4, 6, 7, 8, 14, 17, 20, 21, 22, 23, 26, 27, 32], "nad27": [0, 8, 20, 32], "no_def": [0, 17, 20, 21, 27], "type": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 12, 15, 16, 17, 19, 20, 22, 26, 27], "unit": [0, 2, 4, 5, 8, 17, 21, 22, 25, 27], "always_xi": [0, 17, 20, 24, 25, 27], "userwarn": [0, 27, 32], "i": [0, 1, 2, 3, 4, 5, 8, 9, 12, 13, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 32], "due": [0, 2, 20, 26, 27, 32], "short_nam": [0, 2, 32], "ntv2_0": 0, "gsb": 0, "full_nam": [0, 2, 32], "package_nam": [0, 2, 32], "datumgrid": [0, 9, 27, 32], "north": [0, 1, 2, 4, 17, 20, 21, 22, 25, 26, 27, 32], "america": [0, 4, 25, 32], "url": [0, 2, 19, 20, 32], "http": [0, 2, 4, 12, 17, 21, 22, 24, 25, 26, 27, 28, 29, 32], "download": [0, 2, 9, 19, 20, 23, 29], "osgeo": [0, 29, 32], "org": [0, 2, 4, 12, 17, 21, 22, 25, 26, 27, 29, 32], "latest": [0, 32], "zip": [0, 12], "direct_download": [0, 2, 32], "open_licens": [0, 2, 20, 32], "fals": [0, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 23, 25, 26, 27, 32], "f": [0, 4, 12, 17, 20, 25], "oper": [0, 4, 6, 7, 14, 15, 17, 20, 21, 25, 26, 27], "r": [0, 12], "37": [0, 17, 20], "41": [0, 12], "descript": [0, 17, 20, 27, 32], "axi": [0, 2, 4, 5, 6, 7, 12, 17, 20, 22, 27], "order": [0, 3, 4, 9, 17, 20, 22, 27, 29], "chang": [0, 22, 28], "2d": [0, 3, 6, 20, 25, 26], "invers": [0, 5, 10, 12, 17, 20, 25, 27, 32], "wg": [0, 4, 5, 8, 21, 22, 25, 26, 32], "84": [0, 4, 5, 8, 12, 21, 22, 25, 26, 32], "unknown": [0, 2, 4, 10, 17, 20, 25], "name": [0, 1, 2, 3, 4, 5, 6, 8, 10, 12, 17, 20, 21, 22, 23, 25, 26, 27, 32], "33": [0, 12, 17, 20, 25], "depend": [0, 17, 27], "locat": [0, 9, 27, 29, 32], "mai": [0, 12, 20, 26, 27, 29], "impact": 0, "which": [0, 16, 17, 20, 23, 25, 26, 27], "select": [0, 17, 20, 23], "areaofinterest": [0, 8, 14, 17, 20, 25, 27], "2694": 0, "concaten": [0, 2, 17, 20], "pipelin": [0, 2, 17, 20, 25, 27], "pulkovo": 0, "1995": 0, "degre": [0, 1, 4, 5, 12, 17, 20, 23, 25, 26, 27], "gauss": [0, 26], "kruger": [0, 26], "zone": [0, 2, 4, 17, 20, 21, 25, 27], "60": [0, 2, 12, 20], "russia": 0, "18": [0, 27], "92": [0, 20], "39": [0, 17, 20, 21], "87": 0, "168": 0, "97": 0, "85": [0, 25, 32], "area_of_interest": [0, 8, 17, 20, 25, 27], "136": [0, 12], "46": [0, 12, 25], "72": [0, 12, 17, 20, 25], "83": [0, 20, 21], "17": 0, "13": 0, "alaska": [0, 32], "alber": [0, 2, 27, 32], "canada": 0, "nwt": 0, "nunavut": 0, "saskatchewan": 0, "In": [0, 12, 17, 20, 22, 26, 29], "neeed": 0, "explictli": 0, "ellipsoid": [0, 2, 3, 4, 7, 10, 12, 15, 21, 25, 26, 27], "height": [0, 2, 4, 21, 25], "taken": 0, "account": [0, 4, 17, 20, 26], "2056": 0, "37909": 0, "47": [0, 12, 27], "01987": 0, "1000": 0, "2671499": 0, "8913080636": 0, "1208075": 0, "1135782297": 0, "transformer_3d": 0, "to_3d": [0, 4, 27], "951": 0, "4265527743846": 0, "boundari": [0, 6, 10, 17, 20], "given": [0, 12, 17, 20, 26, 27], "geograph": [0, 2, 3, 4, 17, 20, 23, 24, 26, 27], "coordin": [0, 4, 6, 7, 14, 17, 20, 23, 26, 27, 28], "thi": [0, 1, 2, 3, 4, 8, 9, 11, 13, 16, 17, 20, 21, 22, 24, 25, 26, 27, 29], "recommend": [0, 25, 26, 29], "method": [0, 2, 3, 4, 5, 8, 12, 17, 20, 21, 25, 26, 27, 29, 32], "calcul": [0, 12, 17, 27], "3857": [0, 17, 20, 25, 26], "geodetic_cr": [0, 4, 10, 21, 25, 26], "transform_bound": [0, 17, 20, 27], "area_of_us": [0, 2, 4, 8, 17, 19, 20, 23, 27], "20037508": 0, "342789244": 0, "20048966": 0, "104014594": 0, "As": [0, 24], "safe": [0, 13, 20, 24, 27], "need": [0, 5, 12, 20, 21, 22, 25, 27, 29, 32], "creat": [0, 2, 3, 4, 5, 6, 9, 12, 17, 20, 21, 22, 24, 26, 27, 29], "within": [0, 17, 26], "simpl": [0, 12, 21], "demonstr": [0, 25], "concurr": 0, "futur": [0, 26, 27], "def": [0, 2, 4, 5, 17, 20, 25], "transform_point": 0, "point": [0, 12, 17, 20, 25, 27, 29], "return": [0, 1, 2, 3, 4, 5, 8, 9, 12, 15, 16, 17, 19, 20, 27], "threadpoolexecutor": 0, "max_work": 0, "10": [0, 4, 12, 17, 25, 29], "executor": 0, "map": [0, 4, 17, 20, 27], "rang": [0, 12, 23], "5": [0, 2, 3, 4, 5, 6, 10, 12, 17, 20, 21, 25, 26, 29, 31], "print": [0, 4, 18, 20, 23, 25, 27, 32], "gener": [0, 3, 13, 17, 20, 23, 27], "mani": [0, 13, 25], "enabl": [0, 9, 13, 16, 17, 20, 23, 29, 32], "global": [0, 14, 19, 27], "context": [0, 14, 27], "perform": [0, 12, 13, 17, 20, 29, 32], "enhanc": [0, 13], "For": [0, 8, 12, 20, 25, 26, 28, 29], "inform": [0, 2, 4, 8, 12, 18, 19, 20, 21, 23, 25, 27, 32], "about": [0, 2, 3, 4, 5, 12, 17, 19, 20, 21, 27, 32], "see": [0, 2, 3, 4, 5, 8, 9, 10, 12, 13, 16, 17, 20, 24, 25, 26, 28, 29, 32], "where": [0, 2, 4, 9, 19, 20, 23, 27, 32], "code": [0, 2, 3, 4, 5, 8, 10, 17, 20, 25, 27], "get_cod": [0, 10, 14, 27], "enum": [0, 2, 3, 4, 5, 6, 8, 10, 17, 20, 24, 25, 27], "pjtype": [0, 8, 10], "projected_cr": [0, 10], "crs_list": 0, "from_epsg": [0, 2, 4, 5, 21, 24, 25, 26], "like": [0, 4, 8, 21, 24, 25, 26, 27], "re": [0, 20], "reduc": [0, 26], "cost": 0, "functool": [0, 26], "lru_cach": 0, "transformerfromcr": 0, "timeit": 0, "cachedtransform": 0, "setup": [0, 27], "number": [0, 4, 12, 17, 20, 27], "1000000": 0, "100": [0, 4, 12, 17, 20, 26], "without": [0, 20, 23], "take": [0, 4, 20, 26], "around": [0, 27], "second": [0, 2, 17, 20, 25], "do": [0, 10, 17, 20, 24, 25, 26, 28, 29, 32], "iter": [0, 2, 3, 5, 17, 20], "With": [0, 26], "million": 0, "cachedcr": 0, "To": [0, 13, 17, 20, 22, 26, 32], "more": [0, 2, 12, 21, 25, 26, 27, 32], "set": [0, 2, 3, 4, 5, 9, 12, 13, 14, 17, 20, 21, 27, 29, 32], "proj_debug": 0, "environ": [0, 13, 16, 27], "variabl": [0, 12, 13, 16, 22, 27], "desir": [0, 17, 20], "level": [0, 4, 27], "activ": [0, 13, 16, 29], "log": [0, 20, 28, 32], "devel": 0, "doc": [0, 2, 12, 17, 20, 21, 27, 29], "python": [0, 4, 13, 17, 18, 20, 27, 28, 29, 32], "howto": 0, "html": [0, 2, 4, 21, 22, 25, 26, 27, 29], "start": [0, 6, 10, 21, 26, 28], "add": [0, 9, 17, 20, 24, 27], "handler": 0, "logger": 0, "console_handl": 0, "streamhandl": 0, "formatt": 0, "levelnam": 0, "": [0, 2, 8, 12, 17, 20, 25], "messag": [0, 11, 26, 27], "setformatt": 0, "getlogg": 0, "addhandl": 0, "setlevel": 0, "default": [0, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 21, 23, 27], "config": [0, 29], "basicconfig": 0, "format": [0, 4, 17, 20, 21, 24, 27], "backward": [1, 8, 15], "compat": [1, 8, 15, 17, 27, 28, 29], "transform": [1, 2, 4, 6, 8, 10, 12, 14, 17, 21, 23, 26, 27, 28], "class": [1, 2, 3, 4, 5, 6, 8, 10, 12, 17, 20, 21, 24, 27, 32], "west_lon_degre": [1, 25], "float": [1, 2, 3, 5, 8, 12, 17, 20], "south_lat_degre": [1, 25], "east_lon_degre": [1, 25], "north_lat_degre": [1, 25], "sourc": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 16, 17, 18, 19, 20, 23, 25, 27], "queri": [1, 8], "cr": [1, 2, 3, 5, 6, 8, 10, 11, 14, 17, 20, 23, 27, 28, 32], "data": [1, 8, 11, 12, 14, 17, 19, 20, 23, 25, 26, 27], "east": [1, 2, 4, 17, 20, 22, 25, 26, 27], "bound": [1, 4, 8, 17, 20, 23, 25, 26, 27], "south": [1, 2, 21], "west": 1, "option": [1, 2, 3, 4, 5, 8, 12, 13, 16, 17, 19, 20, 25, 27], "str": [1, 2, 3, 4, 5, 8, 9, 11, 12, 16, 17, 19, 20], "none": [1, 2, 4, 5, 6, 8, 9, 10, 11, 12, 13, 16, 17, 19, 20, 24, 27], "coordinateoper": [1, 4, 6, 7, 17, 20, 27], "properti": [1, 4, 17, 20, 23, 24, 27], "tupl": [1, 2, 4, 12, 17, 19, 20, 27], "box": [1, 8, 17, 20, 23], "intersect": [1, 8, 12, 19, 20, 23], "contain": [1, 8, 19, 23, 27, 29], "other": [1, 2, 3, 4, 5, 16, 17, 20, 24, 26], "union": [1, 3, 4, 8, 9, 16, 17, 19, 20], "bool": [1, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 27], "paramet": [1, 2, 3, 4, 5, 8, 9, 12, 13, 16, 17, 19, 20, 21, 25, 26, 27], "pyproj": [2, 3, 4, 5, 6, 10, 11, 14, 21, 22, 23, 25, 27, 32], "project": [2, 3, 4, 5, 8, 17, 20, 22, 24, 27, 28], "author": [2, 3, 4, 5, 8, 17, 20, 25, 27], "method_nam": [2, 25], "method_auth_nam": 2, "method_cod": [2, 25], "is_instanti": 2, "instanti": 2, "proj": [2, 3, 4, 5, 8, 9, 10, 11, 12, 14, 15, 19, 20, 21, 22, 23, 24, 25, 27, 28], "also": [2, 9, 12, 17, 20, 24, 25, 26, 29, 32], "referenc": 2, "int": [2, 3, 4, 5, 12, 17, 20, 22, 27], "has_ballpark_transform": 2, "ha": [2, 4, 16, 20, 25, 32], "ballpark": [2, 17, 20], "veri": 2, "approxim": 2, "one": [2, 4, 8, 9, 12, 17, 20, 26, 27], "lack": 2, "accur": 2, "accuraci": [2, 17, 20, 27, 32], "metr": [2, 4, 5, 8, 17, 20, 25, 26], "area": [2, 4, 8, 12, 14, 17, 20, 23, 24, 26, 27], "object": [2, 3, 4, 5, 8, 13, 17, 20, 21, 27], "associ": [2, 4, 5, 8, 17, 20], "attribut": [2, 4, 5, 17, 20, 22, 24, 27], "rtype": [2, 3, 4, 5], "areaofus": [2, 4, 8, 14, 17, 20, 27], "static": [2, 3, 4, 5, 11, 17, 20], "from_author": [2, 4, 5], "unicod": [2, 3, 4, 5, 8], "auth_nam": [2, 3, 4, 5, 8, 25], "use_proj_alternative_grid_nam": 2, "from_json": [2, 3, 4, 5, 27], "coordinate_operation_json_str": 2, "json": [2, 3, 4, 5, 17, 20, 22, 24, 27], "string": [2, 3, 4, 5, 10, 12, 16, 17, 20, 21, 24, 25, 26, 27], "4": [2, 3, 4, 5, 8, 10, 12, 17, 20, 21, 23, 25, 29, 31, 32], "from_json_dict": [2, 3, 4, 5, 27], "dict": [2, 3, 4, 5, 8, 15, 17, 19, 20, 27], "coordinate_operation_dict": 2, "dictionari": [2, 3, 4, 5, 12, 17, 20, 24], "from_nam": [2, 5, 6, 21, 27], "coordinate_operation_nam": 2, "coordinate_operation_typ": 2, "coordinateoperationtyp": [2, 7], "convers": [2, 4, 6, 8, 10, 21, 22, 25, 27], "exampl": [2, 4, 5, 8, 12, 17, 18, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30], "utm": [2, 4, 8, 17, 20, 21, 27], "14n": 2, "refin": [2, 5], "search": [2, 5, 17, 20, 26, 27, 28, 29, 32], "e": [2, 4, 5, 8, 12, 17, 20, 22, 24, 25, 26, 27, 29], "g": [2, 4, 5, 8, 12, 17, 20, 27, 29], "all": [2, 4, 5, 8, 12, 20, 23, 25, 27, 32], "from_str": [2, 3, 4, 5, 25, 27], "coordinate_operation_str": 2, "urn": [2, 4, 5, 17, 20, 25, 27], "ogc": [2, 4, 5, 17, 20, 25], "1671": [2, 17, 20], "14": [2, 12, 21, 24, 25], "from_user_input": [2, 3, 4, 5, 24, 25, 27], "cl": [2, 3, 5], "user_input": [2, 3, 5], "user": [2, 3, 4, 5, 9, 12, 17, 19, 23, 29, 32], "input": [2, 3, 4, 5, 12, 17, 20, 25, 27], "wkt": [2, 3, 4, 5, 10, 17, 20, 21, 22, 24, 26, 27], "integ": [2, 3, 4, 5, 12, 17, 20], "auth_cod": [2, 3, 4, 5], "to_json": [2, 3, 4, 5, 17, 20, 27], "list": [2, 3, 4, 8, 10, 12, 14, 17, 19, 20, 23, 27], "is_exact_sam": [2, 3, 4, 5, 17, 20, 27], "self": [2, 3, 5, 12], "compar": [2, 3, 4, 5, 23, 27], "thei": [2, 3, 5, 17, 19, 26], "exactli": [2, 3, 5], "same": [2, 3, 4, 5, 16, 17, 20, 22, 26], "remark": [2, 3, 4, 5, 17, 20, 27], "scope": [2, 3, 4, 5, 17, 20, 27], "pretti": [2, 3, 4, 5, 17, 20, 25, 27], "indent": [2, 3, 4, 5, 17, 20], "convert": [2, 3, 4, 5, 17, 20, 22, 27], "output": [2, 3, 4, 5, 12, 17, 20, 25, 27], "multilin": [2, 3, 4, 5, 12, 17, 20], "width": [2, 3, 4, 5, 17, 20], "to_json_dict": [2, 3, 4, 5, 17, 20], "to_proj4": [2, 4, 17, 20, 24, 27], "projvers": [2, 4, 10, 17, 20], "proj_5": [2, 4, 10, 17, 20], "to_wkt": [2, 3, 4, 5, 17, 20, 21, 24, 25, 26, 27], "wktversion": [2, 3, 4, 5, 10, 17, 20, 24, 25], "wkt2_2019": [2, 3, 4, 5, 10, 17, 20, 27], "wkt2_2015": [2, 3, 4, 5, 10, 17, 20], "wkt2_2015_simplifi": [2, 3, 4, 5, 10, 17, 20], "wkt2_2019_simplifi": [2, 3, 4, 5, 10, 17, 20], "wkt1_gdal": [2, 3, 4, 5, 10, 17, 20, 24, 25], "wkt1_esri": [2, 3, 4, 5, 10, 17, 20], "towgs84": [2, 4, 17, 21, 25], "A": [2, 4, 12, 17, 19], "valu": [2, 4, 6, 10, 12, 17, 20, 23, 25, 27, 29], "_cr": [2, 3], "9807": [2, 4, 25], "doubl": [2, 17, 20, 22], "unit_conversion_factor": [2, 3, 4], "factor": [2, 4, 8, 14, 22, 25], "meter": [2, 5, 12, 17, 20, 22, 27], "unit_nam": [2, 3, 4, 5, 25], "unit_auth_nam": [2, 25], "unit_cod": [2, 3, 25], "unit_categori": [2, 25], "categori": [2, 8], "linear": [2, 8, 25], "angular": [2, 8, 17, 25], "scale": [2, 4, 8, 17, 25], "time": [2, 8, 17, 20, 27], "parametr": [2, 27], "short": [2, 8, 27], "full": [2, 5], "packag": [2, 16, 24, 29], "might": [2, 8, 26], "found": [2, 4, 11, 13, 17, 20, 26], "directli": [2, 12, 24, 27], "releas": [2, 26, 27], "open": [2, 20, 21, 24], "licens": [2, 20], "runtim": 2, "coordinate_oper": [2, 4, 21, 25, 27], "latitude_first_parallel": [2, 21], "latitude_second_parallel": [2, 21], "latitude_false_origin": [2, 21], "longitude_false_origin": [2, 21], "easting_false_origin": [2, 21], "northing_false_origin": [2, 21], "base": [2, 3, 4, 5, 12, 17, 20, 26, 29], "construct": [2, 17, 20, 21], "equal": [2, 4, 12, 27], "__new__": [2, 3, 5], "first": [2, 12, 17, 20, 25, 27], "standard": 2, "parallel": [2, 17], "latitud": [2, 4, 12, 17, 20, 22], "center": 2, "longitud": [2, 4, 5, 12, 17, 20, 22, 27], "latitude_natural_origin": [2, 21], "longitude_natural_origin": [2, 21], "false_east": [2, 21, 22, 25], "false_north": [2, 21, 22, 25], "azumuthalequidistantconvers": 2, "modifi": [2, 12, 13, 27], "azimuth": [2, 12, 25, 27], "equidist": 2, "cylintr": 2, "plate": 2, "carr\u00e9": 2, "1st": [2, 12], "lat_t": [2, 27], "sweep_angle_axi": 2, "satellite_height": 2, "geostationari": 2, "satellit": 2, "sweep": 2, "angl": [2, 17], "view": 2, "instrument": 2, "valid": [2, 8, 9, 27], "x": [2, 4, 17, 20, 22, 25, 26, 29], "y": [2, 4, 17, 20, 22, 25, 26], "lambertazumuthalequalareaconvers": 2, "lambert": 2, "scale_factor_natural_origin": [2, 21], "conform": 2, "conic": 2, "1sp": 2, "natur": [2, 4, 25], "origin": [2, 4], "k_0": 2, "2sp": 2, "2nd": [2, 12], "cylindr": 2, "lambertcylindricalequalareascaleconvers": 2, "differ": [2, 4, 17, 20, 21, 26], "offici": 2, "when": [2, 4, 9, 11, 16, 17, 20, 22, 25, 27, 29, 32], "export": [2, 27, 29, 32], "previou": [2, 29], "member": 2, "show": [2, 14, 20, 21, 23, 32], "inherit": [2, 24, 27], "special": 2, "mercat": [2, 4, 25, 26, 27], "variant": 2, "must": 2, "definit": [2, 17, 20, 27], "k": [2, 21, 25], "b": [2, 12, 21], "latitude_projection_centr": 2, "longitude_projection_centr": 2, "azimuth_initial_lin": 2, "angle_from_rectified_to_skew_grid": 2, "scale_factor_on_initial_lin": 2, "easting_projection_centr": 2, "northing_projection_centr": 2, "hotin": 2, "obliqu": [2, 26], "centr": 2, "lonc": [2, 25], "initi": [2, 4, 12, 13, 17, 20, 21, 26, 27], "line": [2, 9, 12, 17, 20, 27, 32], "rectifi": 2, "skew": 2, "gamma": [2, 25], "orthograph": 2, "alia": [2, 10, 12, 17], "polar": [2, 12], "stereograph": [2, 26], "either": [2, 17, 32], "90": [2, 4, 12, 20, 23, 25, 26], "latitude_standard_parallel": 2, "longitude_origin": 2, "sinusoid": 2, "hemispher": 2, "between": [2, 4, 12, 17, 20, 26, 27], "transvers": [2, 4, 25, 26, 27], "viewpoint_height": 2, "latitude_topocentric_origin": 2, "longitude_topocentric_origin": 2, "ellipsoidal_height_topocentric_origin": 2, "vetic": [2, 4], "perspect": 2, "viewpoint": 2, "h": [2, 23, 25, 27], "topocentr": 2, "o_lat_p": 2, "o_lon_p": 2, "rotat": [2, 3, 25, 27], "pole": [2, 3, 27], "unrot": 2, "express": [2, 23], "grid_north_pole_latitud": 2, "grid_north_pole_longitud": 2, "north_pole_grid_longitud": [2, 27], "netcdf": [2, 27], "cf": [2, 3, 4, 27, 28], "convent": [2, 22, 27], "cfconvent": [2, 22], "_rotated_pol": 2, "180": [2, 17, 20, 23, 25, 26, 27], "source_cr": [2, 4, 17, 20, 21, 27], "ani": [2, 4, 5, 12, 16, 17, 19, 20, 23, 27, 32], "x_axis_transl": 2, "y_axis_transl": 2, "z_axis_transl": 2, "x_axis_rot": 2, "y_axis_rot": 2, "z_axis_rot": 2, "scale_differ": 2, "translat": [2, 20], "z": [2, 17, 20, 25], "axis_list": 3, "coordinate_system_json_str": 3, "coordinate_system_dict": 3, "coordinate_system_str": 3, "onli": [3, 4, 5, 8, 16, 17, 20, 23, 24, 26, 27, 29, 32], "work": [3, 8, 17, 20, 24, 26, 27, 32], "to_cf": [3, 4, 22, 25, 27], "rotated_pol": 3, "climat": [3, 4, 22, 27], "forecast": [3, 4, 22], "correspond": [3, 8], "rotated_latitude_longitud": 3, "grid_mapping_nam": [3, 22, 25], "abbrev": 3, "direct": [3, 10, 17, 20, 22, 27, 29], "unit_auth_cod": 3, "coordinate_system": [3, 4, 6, 21], "ellipsoidal2dcsaxi": [3, 7], "longitude_latitud": [3, 6], "ellipsoidal3dcsaxi": [3, 7], "longitude_latitude_height": [3, 6], "3d": [3, 4, 6, 20, 27], "cartesian2dcsaxi": [3, 7], "easting_north": [3, 6], "cartesian": [3, 4, 6, 22, 25, 26], "verticalcsaxi": [3, 7], "gravity_height": [3, 6], "vertic": [3, 4, 6, 21, 25], "projparam": [4, 17, 27], "kwarg": [4, 12, 17, 27], "refer": [4, 17, 20, 24, 25, 26, 27, 28], "system": [4, 5, 6, 7, 14, 16, 17, 20, 23, 25, 26, 27, 28], "manag": [4, 27, 28, 32], "proj_creat": [4, 17, 20, 26, 27], "function": [4, 17, 20, 27], "fantast": 4, "rasterio": 4, "noqa": 4, "e501": 4, "opendatacub": 4, "sr": [4, 17, 27], "form": [4, 12, 17, 21, 25], "__init__": [4, 12, 17, 20, 27], "instanc": [4, 12, 17, 20, 26, 27], "keyword": [4, 12, 17, 20, 27], "argument": [4, 12, 17], "usag": [4, 12, 13, 17, 20, 23, 25], "crs_utm": 4, "26915": [4, 20], "nad83": [4, 5, 8, 20, 21, 25], "15n": 4, "info": [4, 25, 26], "96": 4, "w": [4, 24, 25], "countri": [4, 25], "25": [4, 12, 25, 27], "61": [4, 12, 25], "american": [4, 21, 25], "1983": [4, 21, 25], "gr": [4, 25], "1980": [4, 25], "prime": [4, 5, 15, 25, 26, 27], "meridian": [4, 5, 15, 17, 25, 26, 27], "greenwich": [4, 5, 22, 25, 26], "6378137": [4, 5, 12, 21, 22, 25], "298": [4, 5, 22, 25], "257222101": 4, "lengthunit": [4, 5, 25], "id": [4, 5, 22, 23, 24, 25, 26], "7019": 4, "inverse_flatten": [4, 5, 22, 25], "semi_major_metr": [4, 5], "semi_minor_metr": [4, 5, 27], "6356752": [4, 21, 22, 25], "314140356": 4, "prime_meridian": [4, 5, 10, 21, 27], "primem": [4, 5, 25], "angleunit": [4, 5, 25], "0174532925199433": [4, 5, 25], "8901": [4, 5, 25], "017453292519943295": 4, "6269": 4, "c": [4, 17, 18, 20, 27, 29, 32], "9001": [4, 25], "8801": [4, 25], "93": [4, 17, 25], "8802": [4, 25], "9996": [4, 21], "scaleunit": [4, 25], "uniti": [4, 25], "8805": [4, 25], "500000": 4, "8806": [4, 25], "8807": [4, 25], "16015": 4, "ellp": [4, 12, 17, 20, 21, 25, 27], "wgs84": [4, 5, 12, 17, 20, 21, 25, 26], "projcr": [4, 21, 25], "basegeogcr": [4, 25], "257223563": [4, 5, 22, 25], "7030": [4, 25], "10n": 4, "123": [4, 12], "16010": 4, "geod": [4, 10, 11, 14, 27, 32], "get_geod": [4, 25], "0f": [4, 12, 17, 20], "8f": 4, "00335281": 4, "is_project": [4, 27], "is_geograph": [4, 27], "axis_info": [4, 27], "retriev": 4, "relev": [4, 20, 27], "compound": [4, 5, 25, 27], "sub": [4, 25, 27], "coordinatesystem": [4, 7, 22, 27], "cs_to_cf": [4, 22], "ignore_axis_ord": [4, 27], "equival": [4, 17, 27], "On": 4, "failur": 4, "ignor": [4, 17, 20, 27], "classmethod": 4, "make": [4, 17, 20, 21, 26, 27, 29], "from_cf": [4, 22, 27], "in_cf": 4, "ellipsoidal_c": 4, "cartesian_c": [4, 21, 22], "vertical_c": [4, 21], "anyth": [4, 5, 20, 24, 25, 27], "accept": [4, 5, 12, 17, 20, 27], "cartesian2dc": [4, 6, 7, 21], "verticalc": [4, 6, 7, 21], "from_dict": 4, "proj_dict": 4, "param": [4, 7, 25], "crs_json": 4, "crs_dict": 4, "from_proj4": [4, 25], "in_proj_str": 4, "in_crs_str": 4, "obj": 4, "from_wkt": [4, 24], "in_wkt_str": 4, "geodeticcr": 4, "is_bound": 4, "is_compound": [4, 27], "is_deriv": [4, 27], "deriv": [4, 17, 25, 27], "is_engin": [4, 27], "local": [4, 27, 29, 32], "engin": [4, 27], "exact": [4, 17, 20, 27], "is_geocentr": [4, 27], "geocentr": [4, 20], "It": [4, 8, 9, 12, 17, 20, 21, 24], "compount": 4, "lon": [4, 12, 17, 20, 25, 26], "lat": [4, 12, 17, 20, 25, 26], "is_vert": [4, 27], "list_author": [4, 27], "min_confid": [4, 26], "70": [4, 12, 25, 26], "authoritymatchinfo": 4, "match": [4, 17, 20, 26, 27], "cc": 4, "4328": 4, "confid": 4, "geocent": [4, 17, 20], "4978": 4, "from_authorti": 4, "filter": [4, 8, 27], "most": [4, 8, 17, 20, 26, 27], "why": 4, "doe": [4, 9, 17, 21, 24, 27], "xxxx": 4, "init": [4, 27], "proj_get_nam": 4, "primemeridian": [4, 7, 21, 27], "derivedcr": 4, "sub_crs_list": [4, 25], "target_cr": [4, 17, 20, 21, 27], "hub": 4, "target": [4, 17, 20, 23], "current": [4, 5, 17, 21, 24, 27, 29], "sens": 4, "orient": [4, 12], "upward": 4, "to_author": [4, 25, 26, 27], "wkt_version": 4, "errcheck": [4, 17, 20, 27], "support": [4, 5, 10, 15, 20, 23, 24, 25, 26, 27, 28], "warn": [4, 26, 27], "to_dict": [4, 27], "lose": [4, 21, 22, 25], "anoth": [4, 20, 25], "faq": [4, 20, 21, 24, 25, 27, 28], "what": [4, 21, 25], "describ": [4, 12, 17, 21, 25, 26], "to_epsg": [4, 25, 26, 27], "attempt": [4, 17, 20, 26], "proj_4": [4, 10], "to_str": 4, "otherwis": [4, 12, 17, 20, 24], "type_nam": 4, "utm_zon": [4, 27], "find": [4, 12, 20, 27, 32], "letter": 4, "applic": [4, 13], "undefin": [4, 5, 25, 27], "6326": [4, 5], "build": [4, 5, 27, 28], "customdatum": [4, 7, 21], "base_cr": 4, "geodet": [4, 5, 12, 22, 26], "geoid_model": [4, 21], "navd88": [4, 21], "geoid": 4, "model": 4, "geoid12b": [4, 21], "compon": [4, 20, 21], "constructor": 4, "than": [4, 23], "main": [4, 23, 32], "github": [4, 21, 22, 24, 27, 28, 32], "com": [4, 22, 24, 26, 28, 29, 32], "pyproj4": [4, 27, 28, 29], "issu": [4, 21, 24, 27, 32], "847": [4, 27], "proj_str": 4, "known": [4, 8, 26], "text": [4, 26, 27], "better": [5, 27], "alias": 5, "until": [5, 27], "There": [5, 12, 20, 25, 32], "old": [5, 27], "horizont": 5, "datum_json_str": 5, "datum_dict": 5, "datum_nam": [5, 8, 25], "datum_typ": 5, "world": [5, 22, 23, 25, 26, 32], "1984": [5, 25, 26], "datumtyp": [5, 7], "datum_str": 5, "is_semi_minor_comput": 5, "semi": [5, 12], "major": [5, 8, 12, 24, 26], "minor": [5, 8, 12], "flatten": [5, 12], "ellipsoid_json_str": 5, "ellipsoid_dict": 5, "ellipsoid_nam": 5, "ellipsoid_str": 5, "7001": [5, 21], "airi": [5, 21], "1830": 5, "6377563": [5, 22], "396": [5, 22], "299": [5, 12, 22], "3249646": [5, 22], "semi_major_axi": [5, 21, 22, 25], "semi_minor_axi": [5, 21, 22, 25], "radiu": [5, 12], "custom": [5, 21, 27], "requir": [5, 12, 17, 20, 24, 28, 29], "alon": 5, "cannot": [5, 20, 26], "mix": [5, 26], "prime_meridian_json_str": 5, "prime_meridian_dict": 5, "prime_meridian_nam": [5, 22, 25], "prime_meridian_str": 5, "modul": [6, 10, 14, 27, 28], "qualnam": [6, 10], "geodetic_reference_fram": [6, 10], "dynamic_geodetic_reference_fram": [6, 10], "vertical_reference_fram": [6, 10], "dynamic_vertical_reference_fram": [6, 10], "datum_ensembl": [6, 10], "concatenated_oper": [6, 10], "other_coordinate_oper": [6, 10], "northing_east": 6, "easting_northing_ft": 6, "northing_easting_ft": 6, "easting_northing_us_ft": 6, "northing_easting_us_ft": 6, "north_pole_easting_south_northing_south": 6, "south_pole_easting_north_northing_north": 6, "westing_south": 6, "ellisoid": 6, "ellipsoidal2dc": [6, 7], "latitude_longitud": [6, 22], "ellipsoidal3dc": [6, 7], "latitude_longitude_height": 6, "up": [6, 25, 26], "up_ft": 6, "up_us_ft": 6, "depth": 6, "depth_ft": 6, "depth_us_ft": 6, "gravity_height_ft": 6, "gravity_height_us_ft": 6, "geographiccr": [7, 21], "derivedgeographiccr": [7, 27], "geocentriccr": [7, 27], "projectedcr": [7, 21], "verticalcr": [7, 21], "boundcr": [7, 21, 25], "compoundcr": [7, 21], "customconstructorcr": [7, 27], "is_wkt": 7, "is_proj": [7, 27], "albersequalareaconvers": [7, 21], "azimuthalequidistantconvers": [7, 27], "equidistantcylindricalconvers": 7, "geostationarysatelliteconvers": 7, "lambertazimuthalequalareaconvers": [7, 27], "lambertconformalconic1spconvers": 7, "lambertconformalconic2spconvers": [7, 21], "lambertcylindricalequalareaconvers": 7, "mercatoraconvers": [7, 27], "mercatorbconvers": 7, "hotineobliquemercatorbconvers": 7, "orthographicconvers": 7, "platecarreeconvers": 7, "polarstereographicaconvers": 7, "polarstereographicbconvers": 7, "sinusoidalconvers": 7, "stereographicconvers": 7, "utmconvers": [7, 21], "transversemercatorconvers": [7, 21], "verticalperspectiveconvers": 7, "rotatedlatitudelongitudeconvers": 7, "polerotationnetcdfcfconvers": [7, 27], "towgs84transform": [7, 21], "customellipsoid": [7, 21], "customprimemeridian": 7, "enumer": [7, 14, 27], "allow_deprec": 8, "proj_get_units_from_databas": [8, 27], "linear_per_tim": 8, "angular_per_tim": 8, "scale_per_tim": 8, "whether": [8, 16], "allow": [8, 12, 17, 20, 27], "deprec": [8, 10, 20, 26, 27], "conv_factor": 8, "proj_short_nam": 8, "u": [8, 22], "survei": [8, 22], "foot": [8, 22], "etc": [8, 27], "appli": [8, 17, 20], "si": 8, "radian": [8, 12, 17, 20, 27], "some": [8, 12, 25, 26], "case": [8, 12, 17, 20, 21, 22, 23, 26, 27, 32], "indic": [8, 12], "ft": 8, "proj_get_authorities_from_databas": 8, "pj_type": [8, 10], "proj_get_codes_from_databas": 8, "proj_get_crs_info_list_from_databas": 8, "interest": [8, 14, 17, 20, 23], "pass": [8, 12, 16, 17, 24], "whose": [8, 23], "entir": 8, "specifi": [8, 12, 17, 20, 23, 27], "crsinfo": 8, "projection_method_nam": 8, "kei": [8, 17], "metadata": [8, 27], "proj_context_get_database_metadata": 8, "layout": 8, "date": 8, "esri": [8, 10, 26], "ignf": 8, "nkg": 8, "proj_data": [8, 9, 27, 29], "item": 8, "metatada": 8, "prefer": [9, 20, 25, 26], "intern": [9, 11, 20, 21, 25, 27, 29, 32], "9": [9, 12, 17, 20, 23, 25, 29, 31], "proj_lib": [9, 27, 29], "sy": [9, 27, 29], "prefix": [9, 27, 29], "path": [9, 16, 19, 20, 26, 27, 29], "proj_data_dir": 9, "addit": [9, 20, 21, 27], "writabl": [9, 19, 23, 32], "file": [9, 19, 20, 23, 27, 29, 32], "proj_context_get_user_writable_directori": 9, "network": [9, 13, 14, 17, 20, 27, 32], "capabl": [9, 20, 32], "projsync": [9, 32], "command": [9, 17, 20, 32], "program": [9, 13, 17, 20, 32], "alreadi": [9, 23], "pj_wkt_type": 10, "style": [10, 12, 26], "gdal": 10, "2015": 10, "simplifi": [10, 21], "wkt2_2018": [10, 24], "2019": [10, 25], "wkt2_2018_simplifi": 10, "transformdirect": [10, 17, 20], "forward": [10, 12, 17, 20], "ident": [10, 27], "noth": 10, "pj": 10, "geocentric_cr": 10, "geographic_cr": 10, "geographic_2d_cr": 10, "geographic_3d_cr": 10, "vertical_cr": 10, "compound_cr": 10, "temporal_cr": 10, "engineering_cr": 10, "bound_cr": [10, 21], "other_cr": 10, "geodintermediateflag": [10, 12, 27], "flag": [10, 12, 17, 20, 27], "inv": [10, 12], "fwd": [10, 12], "_intermedi": 10, "crserror": [11, 26], "error_messag": 11, "rais": [11, 17, 20, 27], "error": [11, 17, 20, 27], "occur": 11, "datadirerror": 11, "directori": [11, 14, 19, 20, 23, 26, 27, 29, 32], "wa": [11, 27], "geoderror": 11, "projerror": 11, "clear": 11, "erro": 11, "initstr": 12, "great": [12, 27, 32], "circl": [12, 27], "comput": [12, 27], "involv": 12, "determin": [12, 17, 20], "back": [12, 26, 27], "terminu": 12, "plu": 12, "distanc": [12, 25], "sphere": 12, "equatori": 12, "eccentr": 12, "ellips": [12, 20], "squar": 12, "b2": 12, "a2": 12, "initparam": 12, "get_ellps_map": [12, 14], "pj_ellp": [12, 27], "follow": 12, "rf": 12, "reciproc": 12, "document": [12, 17, 25, 32], "clrk66": [12, 20, 25], "clark": [12, 25], "1866": [12, 25], "citi": [12, 17, 20], "boston_lat": 12, "42": [12, 25, 26, 27], "15": [12, 20, 21, 25], "boston_lon": 12, "71": [12, 25], "portland_lat": 12, "45": 12, "31": [12, 25], "portland_lon": 12, "newyork_lat": 12, "40": [12, 17, 20, 21, 27], "newyork_lon": 12, "73": 12, "58": 12, "london_lat": 12, "51": [12, 17, 20, 27], "london_lon": 12, "boston": 12, "portland": 12, "az12": 12, "az21": 12, "dist": 12, "3f": [12, 17, 20, 25], "531": [12, 17, 20], "75": [12, 20, 21, 25, 26], "654": 12, "4164192": 12, "708": 12, "endlon": 12, "endlat": 12, "backaz": 12, "517": 12, "683": 12, "york": 12, "sever": [12, 26], "lons1": 12, "lats1": 12, "lons2": 12, "lats2": 12, "faz": 12, "baz": 12, "d": 12, "12": [12, 17, 25, 26], "54": [12, 25], "663": 12, "448": 12, "288303": 12, "720": [12, 17, 20], "463": 12, "79": 12, "342": [12, 20], "4013037": 12, "318": 12, "254": 12, "576": 12, "5579916": 12, "651": 12, "g2": 12, "proj4": [12, 25, 27], "az": 12, "numer": [12, 17, 20, 27], "scalar": [12, 17, 20], "arrai": [12, 17, 20, 27], "ndarrai": [12, 17, 20], "xarrai": [12, 17, 20, 27], "dataarrai": [12, 17, 20, 27], "panda": [12, 17, 20, 27], "seri": [12, 17, 20, 27], "assum": [12, 20, 22, 29], "fwd_intermedi": [12, 27], "lon1": [12, 20, 27], "lat1": [12, 20], "azi1": 12, "npt": [12, 27], "del_": 12, "initial_idx": [12, 27], "terminus_idx": 12, "out_lon": 12, "out_lat": 12, "out_azi": 12, "geodintermediatereturn": 12, "singl": [12, 13, 22], "delimit": 12, "two": [12, 17, 20, 25, 27], "success": 12, "pair": [12, 17, 20], "space": [12, 32], "intermedi": 12, "along": [12, 17, 20, 24], "geodes": [12, 27], "ten": 12, "43": [12, 27], "528": 12, "414": 12, "44": [12, 27], "637": 12, "883": 12, "565": [12, 27], "512": 12, "89": 12, "279": 12, "830": [12, 20], "94": [12, 20], "156": 12, "149": [12, 20], "99": 12, "112": [12, 20], "251": [12, 27], "104": 12, "106": [12, 26], "109": 12, "805": 12, "114": [12, 17], "051": 12, "262": [12, 27], "118": [12, 17], "924": 12, "test": [12, 17, 23, 25, 27, 29], "math": 12, "dg2rad": 12, "rad2dg": 12, "toward": 12, "includ": [12, 19, 20, 23, 25, 27, 28, 29, 32], "would": [12, 24], "last": [12, 20], "round": 12, "ceil": 12, "trunc": 12, "npts_": 12, "updat": [12, 26, 27], "del_s_": 12, "3rd": [12, 17, 20], "save": 12, "discard": 12, "azis_": 12, "accordingli": 12, "azi": 12, "buffer": [12, 27], "alloc": 12, "internnali": 12, "unless": 12, "request": [12, 27], "geometry_area_perimet": [12, 25, 27], "geometri": [12, 17, 20, 25, 27], "interfac": [12, 27, 28], "perimet": [12, 25], "polygon": [12, 17, 20, 25, 27], "shape": [12, 17, 20, 25, 27], "arbitrarili": 12, "complex": [12, 21], "accumul": 12, "algebra": 12, "figur": 12, "partial": [12, 17, 26], "cancel": 12, "close": [12, 13, 26], "repeat": [12, 20], "vertex": 12, "should": [12, 17, 20, 23, 24, 25], "deg": [12, 17, 20], "sign": 12, "counter": 12, "clockwis": 12, "ccw": 12, "travers": 12, "being": [12, 26], "treat": 12, "posit": [12, 25, 27], "hole": [12, 25, 27], "opposit": 12, "exterior": 12, "interior": 12, "cw": 12, "op": 12, "subtract": 12, "multipolygon": [12, 17, 20], "sum": 12, "linestr": [12, 25], "poly_area": [12, 25], "poly_perimet": [12, 25], "944373881400": [12, 25], "3979008": [12, 25], "basegeometri": 12, "permimet": 12, "geometry_length": [12, 25, 27], "length": [12, 27], "line_str": [12, 25], "313588": [12, 25], "397": [12, 25], "total": [12, 27], "inv_intermedi": [12, 27], "lon2": [12, 20, 27], "lat2": [12, 20], "mutual": 12, "exclus": 12, "divid": 12, "els": [12, 24], "similar": [12, 26], "line_length": [12, 25, 27], "0033528106647475126": [12, 25], "74": [12, 21, 25], "77": [12, 17, 21, 25], "69": [12, 25], "102": [12, 25], "131": [12, 25], "163": [12, 25], "172": [12, 25], "140": [12, 25], "113": [12, 25], "88": [12, 25], "59": [12, 25], "total_length": [12, 25], "14259605": [12, 25], "611": [12, 25], "943065": 12, "744": 12, "334805": 12, "010": [12, 17, 20], "less": [12, 27], "lonlat": [12, 21], "polygon_area_perimet": [12, 25, 27], "1f": 12, "13376856682207": [12, 25], "14710425": [12, 25], "field": [12, 17], "thread": [13, 20, 27], "maintain": [13, 29], "connect": [13, 32], "databas": [13, 14, 17, 20, 25, 26, 27], "through": 13, "durat": 13, "session": [13, 27], "onc": 13, "termin": 13, "pyproj_global_context": 13, "deactiv": 13, "itransform": [14, 17, 26, 27], "get_units_map": [14, 27], "get_author": [14, 27], "query_crs_info": [14, 27], "query_utm_crs_info": [14, 25, 27], "get_database_metadata": [14, 27], "get_proj_operations_map": 14, "get_prime_meridians_map": 14, "datadir": [14, 20, 26, 27, 32], "get_data_dir": [14, 26, 27, 32], "set_data_dir": [14, 26], "append_data_dir": 14, "get_user_data_dir": [14, 20, 27, 32], "set_network_en": 14, "is_network_en": [14, 17, 20, 27], "set_ca_bundle_path": 14, "sync": [14, 27, 32], "get_transform_grid_list": 14, "get_proj_endpoint": 14, "set_use_global_context": 14, "aoi": [14, 25, 27], "bbox": [14, 19, 23, 27], "except": [14, 17, 20, 23, 26, 27], "show_vers": [14, 27], "behavior": [16, 27], "proj_network": 16, "proj_context_set_enable_network": 16, "forc": [16, 17, 20], "regardless": [16, 19], "disabl": [16, 27], "proj_context_is_network_en": 16, "ca_bundle_path": 16, "ca": 16, "bundl": 16, "curl": 16, "built": [16, 29], "proj_context_set_ca_bundle_path": 16, "proj_curl_ca_bundl": 16, "curl_ca_bundl": 16, "ssl_cert_fil": 16, "certifi": 16, "fallback": 16, "provi": 16, "empti": [16, 17, 20, 27], "tool": [17, 23], "sai": 17, "limit": [17, 26, 32], "preserve_unit": [17, 20, 27], "cartograph": [17, 20, 28], "nativ": 17, "vice": 17, "versa": 17, "__call__": [17, 20, 27], "call": [17, 20, 27], "cast": 17, "caus": [17, 27], "slight": 17, "hit": 17, "regular": [17, 20], "sequenc": 17, "fastest": [17, 20], "expect": [17, 20], "again": 17, "process": [17, 20, 21, 27], "inf": [17, 20, 27], "control": [17, 27], "defin": [17, 20, 24, 27], "ensur": [17, 27, 29], "p": [17, 32], "120": 17, "108": 17, "34": [17, 21], "36116666": 17, "11": [17, 20, 27], "765975": 17, "641": 17, "3805993": 17, "134": 17, "361": [17, 27], "fresno": 17, "la": 17, "sf": 17, "119": 17, "122": [17, 21], "38": [17, 20], "36": [17, 25, 27], "62": [17, 21], "792763": 17, "863": 17, "925321": 17, "537": 17, "554714": 17, "301": 17, "4074377": 17, "617": 17, "3763936": 17, "941": 17, "4163835": 17, "303": 17, "400": 17, "380": 17, "770": 17, "930": [17, 27], "620": 17, "p2": [17, 20], "32667": 17, "057222": 17, "045": 17, "1783506": 17, "250": 17, "6193827": 17, "033": 17, "feet": 17, "5851386": 17, "754": [17, 27], "20320914": 17, "191": [17, 27], "p1": [17, 20], "4214": 17, "x1": [17, 20], "y1": [17, 20], "116": 17, "366": [17, 27], "867": 17, "x2": [17, 20], "y2": [17, 20], "definition_str": 17, "formal": 17, "longlat": [17, 20, 21, 27], "crs_from": [17, 20], "crs_to": [17, 20], "allow_ballpark": [17, 20, 27], "force_ov": [17, 20, 27], "proj_create_crs_to_cr": [17, 20], "proj_create_crs_to_crs_from_pj": [17, 20], "tradit": [17, 20, 27], "gi": [17, 20, 26, 27], "restrict": [17, 20, 23], "authority_to_authority_prefer": [17, 20], "tabl": [17, 20], "relat": [17, 20, 24, 25, 27], "themselv": [17, 20], "non": [17, 20, 27], "namespac": [17, 20, 27], "minimum": [17, 20, 27, 28], "candid": [17, 20], "disallow": [17, 20, 27], "over": [17, 20, 26], "from_pipelin": [17, 20, 27], "proj_pipelin": [17, 20], "proj_create_from_databas": [17, 20], "auth": [17, 20, 27], "suppor": [17, 20], "projjson": [17, 20, 22], "itrf2014": [17, 20, 25], "etrf2014": [17, 20, 25], "uniqu": [17, 20], "guarante": [17, 20], "heurist": [17, 20], "appropri": [17, 20], "combin": [17, 20], "3895": [17, 20], "1618": [17, 20], "from_proj": [17, 20, 27], "proj_from": [17, 20], "proj_to": [17, 20], "get_factor": [17, 27], "variou": [17, 27], "distort": 17, "converg": 17, "underli": 17, "analyt": 17, "get_last_used_oper": [17, 20, 27], "proj_trans_get_last_used_oper": [17, 20], "has_invers": [17, 20], "switch": [17, 20, 27], "time_3rd": [17, 20], "proj_trans_gener": [17, 20], "dimension": [17, 20], "dimens": [17, 20], "2100": [17, 20], "22": [17, 20, 21, 26, 27], "95": [17, 20], "63": [17, 20], "81": [17, 20, 25], "53": [17, 20, 26], "23": [17, 20, 25], "86": [17, 20], "pt": [17, 20], "2221638": [17, 20], "801": [17, 20], "2637034": [17, 20], "372": [17, 20], "2212924": [17, 20], "125": [17, 20], "2619851": [17, 20], "898": [17, 20], "2238294": [17, 20], "779": [17, 20], "2703763": [17, 20], "736": [17, 20], "pipeline_str": [17, 20], "step": [17, 20, 22], "unitconvert": [17, 20], "xy_in": [17, 20], "rad": [17, 20], "xy_out": [17, 20], "pipe_tran": [17, 20], "001": [17, 20], "transproj": [17, 20, 27], "2704026": [17, 20], "4253051": [17, 20], "810": [17, 20], "3895878": [17, 20], "820": [17, 20], "137": [17, 20], "661": [17, 20, 27], "20": [17, 20, 24, 26], "transprojr": [17, 20], "2704214": [17, 20], "394": [17, 20], "4254414": [17, 20], "478": [17, 20], "3894270": [17, 20], "731": [17, 20], "transproj_eq": [17, 20], "to_latlong": [17, 27], "to_latlong_def": 17, "xx": [17, 20, 25], "yy": [17, 20, 25], "zz": [17, 20, 25], "tt": [17, 20, 25], "inplac": [17, 20, 27], "write": [17, 20], "instead": [17, 20, 22, 23, 27, 29], "fail": [17, 20], "x3": [17, 20], "y3": [17, 20], "98": [17, 20], "10909310": [17, 20], "098": [17, 20], "3895303": [17, 20], "963": [17, 20], "xt": [17, 20], "yt": [17, 20], "xpj": [17, 20], "ypj": [17, 20], "zpj": [17, 20], "xpjr": [17, 20], "ypjr": [17, 20], "zpjr": [17, 20], "xeq": [17, 20], "yeq": [17, 20], "left": [17, 20], "bottom": [17, 20], "right": [17, 20], "top": [17, 20, 26], "densify_pt": [17, 20], "21": [17, 20, 26], "proj_trans_bound": [17, 20], "densifi": [17, 20], "edg": [17, 20], "nonlinear": [17, 20], "extract": [17, 20], "outermost": [17, 20], "destin": [17, 20], "cross": [17, 20, 23], "antimeridian": [17, 20, 23], "scenario": [17, 20], "side": [17, 20], "bounding_polygon": [17, 20], "revers": [17, 20], "maximum": [17, 20], "densify_point": [17, 20], "uint": [17, 20], "produc": [17, 20], "larg": [17, 20], "wors": [17, 20], "meridional_scal": 17, "parallel_scal": 17, "areal_scal": 17, "angular_distort": 17, "meridian_parallel_angl": 17, "meridian_converg": 17, "tissot_semimajor": 17, "tissot_semiminor": 17, "dx_dlam": 17, "dx_dphi": 17, "dy_dlam": 17, "dy_dphi": 17, "These": [17, 24], "pj_factor": 17, "meridion": 17, "areal": 17, "sometim": 17, "declin": 17, "debug": [18, 20, 23, 26, 27, 29, 32], "source_id": [19, 23], "filenam": 19, "spatial_test": 19, "include_world_coverag": 19, "include_already_download": 19, "target_directori": [19, 23], "extent": [19, 23], "geojson": 19, "featur": 19, "endpoint": 19, "store": [19, 24], "4d": 20, "cs2c": 20, "cct": [20, 27], "swap": 20, "northerli": 20, "keep": [20, 27], "alwai": [20, 25, 26, 27, 29], "transformer_mak": 20, "transformermak": 20, "facilit": 20, "them": [20, 26], "goal": 20, "faster": 20, "addition": [20, 26, 32], "multipl": [20, 26, 27], "sort": 20, "ones": 20, "descend": 20, "increas": 20, "whatev": 20, "download_grid": [20, 27, 32], "verbos": [20, 23, 32], "automat": 20, "those": [20, 23, 25], "sinc": 20, "upgrad": [20, 24], "z2": 20, "z1": 20, "zero": 20, "invalid": [20, 26, 27], "By": [20, 23], "toggl": 20, "care": 20, "shift": [20, 26, 27], "done": 20, "latlong": 20, "grs80": 20, "26715": 20, "jefferson": 20, "mo": 20, "199881": 20, "56694": 20, "569704": 20, "566": 20, "4269024": 20, "671": 20, "569722": 20, "4268814": 20, "028": 20, "200": 20, "567": 20, "columbia": 20, "kc": 20, "stl": 20, "missouri": 20, "xy": 20, "567703": 20, "344": 20, "351730": 20, "944": 20, "728553": 20, "093": 20, "4298200": 20, "739": 20, "4353698": 20, "725": 20, "4292319": 20, "005": 20, "567721": 20, "351747": 20, "558": 20, "728569": 20, "133": 20, "4297989": 20, "4353489": 20, "645": 20, "4292106": 20, "305": 20, "220": [20, 27], "370": 20, "320": 20, "750": 20, "points2": 20, "points1": 20, "big": 20, "lazili": 20, "read": 20, "xi": 20, "yi": 20, "xj": 20, "yj": 20, "xn": 20, "yn": 20, "nx3": 20, "nx2": 20, "zi": 20, "ggrs87": 20, "greek": 20, "three": 20, "411050": 20, "470": 20, "4497928": 20, "574": 20, "399060": 20, "236": 20, "4486978": 20, "710": 20, "458553": 20, "243": 20, "4523045": 20, "485": 20, "30": 20, "potenti": 21, "much": 21, "howev": [21, 22, 26], "realli": 21, "meant": [21, 24], "transit": 21, "just": [21, 25, 27], "cover": 21, "everi": 21, "hopefulli": 21, "enough": [21, 26], "notic": 21, "someth": 21, "feel": 21, "free": 21, "link": 21, "api": [21, 25, 27, 28, 32], "piec": 21, "geog_cr": 21, "geog_wkt": 21, "off": 21, "pm": 21, "lisbon": 21, "cd": 21, "aeaop": 21, "proj_cr": [21, 24], "crs_wkt": [21, 22, 24, 25, 26], "ell": 21, "tmerc": 21, "2520000": 21, "intl": 21, "27": [21, 25], "884": 21, "03": 21, "1924": [21, 25], "hayford": 21, "1909": 21, "1910": 21, "quit": 21, "lossi": [21, 26], "so": [21, 24, 25, 27], "vertcr": 21, "1988": 21, "pennsylvania": 21, "3333333333333": 21, "9666666666667": 21, "9333333333333": 21, "600000": 21, "compcr": 21, "don": [22, 26, 27], "t": [22, 26, 27, 29, 32], "we": [22, 25, 26, 29], "cf_grid_map": 22, "content": [22, 29], "geogcr": 22, "geographic_crs_nam": 22, "longitude_of_prime_meridian": [22, 25], "reference_ellipsoid_nam": [22, 25], "314245179": [22, 25], "cf_coordinate_system": 22, "long_nam": 22, "standard_nam": 22, "degrees_north": 22, "degrees_east": 22, "insid": [22, 29], "mind": 22, "pull": [22, 25, 27], "224": 22, "projection_x_coordin": 22, "projection_y_coordin": 22, "crsosgb": 22, "transverse_merc": 22, "latitude_of_projection_origin": [22, 25], "longitude_of_central_meridian": 22, "scale_factor_at_central_meridian": 22, "9996012717": 22, "400000": 22, "further": [22, 26, 29], "necessari": [22, 27], "Be": 22, "everyth": 22, "abov": 22, "us_survey_foot": 22, "scitool": [22, 24], "cf_unit": 22, "linearunit": 22, "conversion_factor": 22, "schema": 22, "v0": 22, "subtyp": 22, "abbrevi": 22, "v": [23, 27], "synchron": 23, "spatial": [23, 24, 26, 27], "exclud": 23, "coverag": [23, 29], "resourc": [23, 32], "unspecifi": 23, "west_long": 23, "east_long": 23, "south_lat": 23, "north_lat": 23, "lower": 23, "choic": 23, "explicitli": 23, "strategi": 23, "wai": [24, 25, 29], "librari": [24, 28, 29], "wkt2": [24, 26], "accord": 24, "osr_cr": 24, "importfromepsg": 24, "version_info": 24, "exporttowkt": 24, "importfromwkt": 24, "mapbox": 24, "env": [24, 27, 29], "osr_wkt_format": 24, "rio_cr": 24, "26": 24, "across": 24, "pars": 24, "__gdal_version__": 24, "tobler": 24, "know": 24, "plan": 24, "fd": 24, "fio_cr": 24, "dc_cr": 24, "__version__": 24, "geo_cr": 24, "elif": 24, "handl": [24, 26, 27], "gotcha": [24, 25, 28], "gdf": 24, "read_fil": 24, "x_limit": 24, "y_limit": 24, "ccr": 24, "cart_cr": 24, "6933": 24, "behav": 24, "platecarre": 24, "karimbahgat": 24, "py_cr": 24, "from_ogc_wkt": 24, "from_epsg_cod": 24, "to_ogc_wkt": 24, "section": [25, 26, 29], "latlon": [25, 26, 27], "omerc": 25, "147": 25, "alpha": 25, "vector": 25, "geog2d": 25, "domain": 25, "sourcecr": 25, "8610": 25, "8611": 25, "projc": 25, "geogc": 25, "unknown_based_on_wgs84_ellipsoid": 25, "spheroid": 25, "9122": 25, "hotine_oblique_mercator_azimuth_cent": 25, "latitude_of_cent": 25, "longitude_of_cent": 25, "rectified_grid_angl": 25, "scale_factor": 25, "pprint": 25, "azimuth_of_central_lin": 25, "oblique_merc": 25, "horizontal_datum_nam": 25, "longitude_of_projection_origin": 25, "scale_factor_at_projection_origin": 25, "small": [25, 27], "subset": 25, "2393": 25, "5717": 25, "3901": 25, "kkj": 25, "finland": 25, "uniform": 25, "n60": 25, "graviti": 25, "kartastokoordinaattijarjestelma": 25, "1966": 25, "28": 25, "onshor": [25, 26], "19": [25, 27, 28, 29], "24": 25, "09": 25, "helsinki": 25, "1960": 25, "cop": 25, "3500000": 25, "utm_crs_list": 25, "581543": 25, "032974": 25, "utm_cr": 25, "crs_4326": [25, 26], "crs_26917": 25, "26917": 25, "17n": 25, "78": 25, "note": 25, "min_x": 25, "min_i": 25, "max_x": 25, "max_i": 25, "coupl": 25, "ad": [25, 27], "80": 25, "571666": 25, "4475041276": 25, "5539109": 25, "815175673": 25, "pseudo": 25, "06": 25, "popular": 25, "visualis": 25, "1669792": 25, "3618991035": 25, "1345708": 25, "4084091093": 25, "transformaton": 25, "7789": 25, "8401": 25, "helmert": 25, "3496737": 25, "2679": 25, "743254": 25, "4507": 25, "5264462": 25, "9620": 25, "757717311": 25, "743253": 25, "9940103051": 25, "701132784": 25, "earth": 25, "surfac": 25, "geod_clrk": 25, "geod_wgs84": 25, "406": 25, "407": 25, "339": [25, 27], "036": 25, "page": [26, 28], "suggest": [26, 27], "srid": 26, "wkt1": 26, "avoid": [26, 29], "consist": [26, 27], "syntax": [26, 27], "remov": [26, 27, 29], "problem": [26, 27, 29], "54009": 26, "world_mollweid": 26, "mollweid": 26, "expand": 26, "Then": [26, 32], "crs_proj": 26, "28992": 26, "amersfoort": 26, "rd": 26, "netherland": 26, "bessel": 26, "1841": 26, "52": 26, "067567": 26, "068913": 26, "133175": 26, "3690698233": 26, "453300": 26, "86739169655": 26, "133148": 26, "22970574044": 26, "453192": 26, "24450392975": 26, "transg": 26, "stackexchang": 26, "326919": 26, "144357": 26, "appear": 26, "crs_deprec": 26, "4544": 26, "upon": 26, "inspect": 26, "cgcs2000": 26, "cm": 26, "105e": 26, "china": 26, "103": 26, "2000": 26, "becaus": [26, 27], "coorespond": 26, "authortii": 26, "sure": [26, 27], "give": 26, "think": 26, "closest": 26, "threshold": 26, "comfort": 26, "crs_latlon": 26, "crs_epsg": 26, "chanc": 26, "instal": [26, 27, 28, 32], "becom": 26, "incompat": 26, "tip": 26, "docstr": [26, 27], "place": [26, 27], "optim": [26, 28], "proj_4326": 26, "proj_3857": 26, "whl": 27, "wheel": [27, 28, 29, 32], "1110": 27, "1132": 27, "dep": 27, "1011": 27, "bug": 27, "fix": 27, "discuss": 27, "1072": 27, "enh": 27, "1076": 27, "997": 27, "1071": 27, "cln": 27, "skip_equival": 27, "1077": 27, "ref": 27, "regex": 27, "1086": 27, "1089": 27, "1097": 27, "mask": 27, "stai": 27, "after": 27, "1102": 27, "bld": 27, "runtime_library_dir": 27, "cygwin": 27, "1120": 27, "1127": 27, "linux": [27, 28, 29], "manylinux2014": [27, 28, 29], "pip": [27, 28], "complet": 27, "stub": 27, "signatur": 27, "1044": 27, "reorder": 27, "setuptool": 27, "1017": 27, "abstractmethod": 27, "decor": 27, "1018": 27, "correct": 27, "annot": 27, "1012": 27, "conda": [27, 29, 32], "window": [27, 29], "1029": 27, "1036": 27, "dtype": 27, "1026": 27, "1835": 27, "pickl": 27, "1058": 27, "940": 27, "prepend": [27, 29], "932": 27, "improv": [27, 32], "961": 27, "mismatch": 27, "948": 27, "962": 27, "976": 27, "990": 27, "declar": 27, "specif": 27, "cython": [27, 29], "928": 27, "decod": 27, "929": 27, "943": 27, "927": 27, "logo": 27, "700": 27, "proj_context_set_autoclose_databas": 27, "866": 27, "902": 27, "903": 27, "918": 27, "906": 27, "perf": 27, "unnecessari": 27, "copi": 27, "904": 27, "789": 27, "pypi": 27, "implement": 27, "854": 27, "spell": 27, "882": 27, "887": 27, "855": 27, "hide": 27, "proj_crs_get_coordoper": 27, "873": 27, "builder": 27, "897": 27, "accid": 27, "numarrai": 27, "908": 27, "lnt": 27, "pylint": 27, "address": 27, "909": 27, "distutil": 27, "917": 27, "790": 27, "multithread": 27, "782": 27, "nan": 27, "788": 27, "764": 27, "798": 27, "755": 27, "808": 27, "809": 27, "823": 27, "terminal_index": 27, "841": 27, "824": 27, "proj_context_errno_str": 27, "760": 27, "766": 27, "773": 27, "499": 27, "599": 27, "689": 27, "rfc": [27, 32], "628": 27, "675": 27, "691": 27, "695": 27, "abil": 27, "cli": [27, 28], "572": 27, "obect": 27, "__array__": 27, "dask": 27, "573": 27, "636": 27, "629": 27, "643": 27, "cleanup": 27, "619": 27, "gil": 27, "612": 27, "606": 27, "__eq__": 27, "536": 27, "proj_is_equivalent_to_with_ctx": 27, "proj_is_equivalent_to": 27, "666": 27, "identifi": 27, "tempor": 27, "670": 27, "672": 27, "696": 27, "pathlib": 27, "702": 27, "703": 27, "712": 27, "refactor": 27, "624": 27, "686": 27, "_name": 27, "585": 27, "588": 27, "590": 27, "clariti": 27, "584": 27, "__proj_version__": 27, "600": 27, "unequ": 27, "596": 27, "503": 27, "hint": 27, "369": 27, "child": 27, "554": 27, "557": 27, "559": 27, "561": 27, "accommod": 27, "564": 27, "silent": 27, "pyobject_aswritebuff": 27, "495": 27, "493": 27, "501": 27, "502": 27, "505": 27, "457": 27, "389": 27, "526": 27, "515": 27, "elev": 27, "futurewarn": 27, "486": 27, "bit": 27, "i686": 27, "platform": 27, "481": 27, "e30": 27, "491": 27, "456": 27, "x86_64": 27, "manylinux2010": 27, "461": 27, "o_proj": 27, "472": 27, "repr": 27, "464": 27, "411": 27, "418": 27, "432": 27, "move": [27, 30], "doctest": 27, "417": 27, "429": 27, "441": 27, "440": 27, "core": 27, "386": 27, "unititi": 27, "prevent": 27, "dump": 27, "433": 27, "get_transform_cr": 27, "439": 27, "python3": 27, "428": 27, "413": 27, "delai": 27, "415": 27, "368": 27, "331": 27, "210": 27, "381": 27, "385": 27, "pj_context": 27, "374": 27, "356": 27, "aenum": 27, "proj_vers": [27, 29], "is_valid": 27, "to_geodet": 27, "371": 27, "387": 27, "358": 27, "359": 27, "hurt": 27, "made": 27, "public": 27, "readonli": 27, "dir": 27, "362": 27, "334": 27, "whitepac": 27, "345": 27, "py": [27, 29], "323": 27, "stabl": [27, 32], "site": 27, "347": 27, "348": 27, "depreat": 27, "337": 27, "333": 27, "335": 27, "now": 27, "264": 27, "clase": 27, "forcast": 27, "244": 27, "226": 27, "294": 27, "316": 27, "328": 27, "258": 27, "274": 27, "comparison": 27, "312": 27, "itrf": 27, "289": 27, "265": 27, "creation": 27, "eg": 27, "267": 27, "proj_list": 27, "null": 27, "257": 27, "310": 27, "pyroj": 27, "latitudecfor": 27, "225": 27, "266": 27, "321": 27, "pj_proj_info": 27, "322": 27, "undo": 27, "275": 27, "249": 27, "270": 27, "278": 27, "245": 27, "248": 27, "247": 27, "253": 27, "252": 27, "208": 27, "231": 27, "pytest": 27, "230": 27, "223": 27, "221": 27, "byte": 27, "219": 27, "separ": 27, "234": 27, "207": 27, "128": 27, "211": 27, "215": 27, "restor": 27, "illeg": 27, "202": 27, "repetit": 27, "effici": 27, "187": 27, "192": 27, "195": 27, "boolean": [27, 29], "dict2str": 27, "no_rot": 27, "183": 27, "pxd": 27, "tarbal": 27, "185": 27, "properli": 27, "179": 27, "176": 27, "older": 27, "logic": 27, "conflict": [27, 29], "pyproject": 27, "toml": 27, "segfault": 27, "compil": [27, 29], "microsoft": 27, "visual": 27, "studio": 27, "master": 27, "commit": 27, "953cc00fd87425395cabe37641cda905c4b587c1": 27, "port": 27, "basemap": 27, "fortran": 27, "hammer": 27, "patch": 27, "lost": 27, "migrat": [27, 28, 29], "googlecod": 27, "r2595": 27, "0rc2": 27, "adapt": 27, "geographiclib": 27, "pure": 27, "proj_dir": [27, 29], "var": 27, "src": 27, "natearth": 27, "isea": 27, "broken": 27, "pj_errno": 27, "pj_ctx_get_errno": 27, "projctx": 27, "structur": 27, "safeti": 27, "lib": [27, 29], "r2140": 27, "pj_list": 27, "longer": 27, "insensit": 27, "filesystem": 27, "previous": 27, "pj_mutex": 27, "binari": [27, 29], "courtesi": 27, "christoph": [27, 29], "gohlk": [27, 29], "huge": 27, "extra": [27, 32], "test_datum": 27, "correctli": 27, "revert": 27, "pj_init": 27, "cach": 27, "suppress": 27, "vs2008": 27, "vs2003": 27, "isnan": 27, "coexist": 27, "pyqt": 27, "erron": 27, "antipod": 27, "__reduce__": 27, "outsid": 27, "limb": 27, "pycompat": 27, "huge_v": 27, "usual": 27, "thu": 27, "andrew": 27, "straw": 27, "loewi": 27, "mail": 27, "pipermail": 27, "2006": 27, "march": 27, "062561": 27, "readm": 27, "pydoc": 27, "renam": 27, "_pyproj": 27, "execut": [27, 29, 32], "py_ssize_t": 27, "pyrex": 27, "repositori": 28, "assist": [28, 29, 32], "advanc": [28, 30], "guid": 28, "geospati": 28, "archiv": 28, "index": 28, "easiest": 29, "maco": 29, "power": 29, "cibuildwheel": 29, "multibuild": 29, "were": 29, "forg": [29, 32], "channel": [29, 32], "channel_prior": 29, "strict": 29, "pyproj_env": 29, "anaconda": 29, "miniconda": 29, "easier": 29, "stabil": 29, "root": 29, "tipsandtrick": 29, "encount": 29, "isn": 29, "consid": 29, "submit": 29, "recip": 29, "stage": 29, "feedstock": 29, "meet": 29, "below": 29, "instruct": 29, "matrix": 29, "present": 29, "header": 29, "osgeo4w": 29, "usr": 29, "proj_libdir": 29, "lib64": 29, "proj_incdir": 29, "proj_wheel": 29, "share": 29, "pyproj_full_coverag": 29, "befor": 29, "alongsid": 29, "unset": 29, "temporarili": 29, "administr": 29, "privileg": 29, "sudo": 29, "git": 29, "under": 32, "introduc": 32, "remot": 32, "access": 32, "geotiff": 32, "machin": 32, "mirror": 32, "proj_download_dir": 32, "aw": 32, "s3": 32, "cdn": 32, "wget": 32, "europ": 32, "oceania": 32, "hold": 32, "500": 32, "mb": 32, "gb": 32, "shouldn": 32, "look": 32, "pre": 32, "us_noaa_alaska": 32, "tif": 32, "ca_nrc_ntv2_0": 32}, "objects": {"pyproj": [[12, 0, 1, "", "Geod"], [17, 0, 1, "", "Proj"], [11, 5, 0, "-", "exceptions"], [13, 4, 1, "", "set_use_global_context"], [18, 4, 1, "", "show_versions"]], "pyproj.Geod": [[12, 1, 1, "", "__init__"], [12, 2, 1, "", "a"], [12, 2, 1, "", "b"], [12, 2, 1, "", "es"], [12, 2, 1, "", "f"], [12, 1, 1, "", "fwd"], [12, 1, 1, "", "fwd_intermediate"], [12, 1, 1, "", "geometry_area_perimeter"], [12, 1, 1, "", "geometry_length"], [12, 2, 1, "", "initstring"], [12, 1, 1, "", "inv"], [12, 1, 1, "", "inv_intermediate"], [12, 1, 1, "", "line_length"], [12, 1, 1, "", "line_lengths"], [12, 1, 1, "", "npts"], [12, 1, 1, "", "polygon_area_perimeter"], [12, 2, 1, "", "sphere"]], "pyproj.Proj": [[17, 1, 1, "", "__call__"], [17, 1, 1, "", "__init__"], [17, 3, 1, "", "accuracy"], [17, 3, 1, "", "area_of_use"], [17, 2, 1, "", "crs"], [17, 3, 1, "", "definition"], [17, 1, 1, "", "definition_string"], [17, 3, 1, "", "description"], [17, 1, 1, "", "from_crs"], [17, 1, 1, "", "from_pipeline"], [17, 1, 1, "", "from_proj"], [17, 1, 1, "", "get_factors"], [17, 1, 1, "", "get_last_used_operation"], [17, 3, 1, "", "has_inverse"], [17, 1, 1, "", "is_exact_same"], [17, 3, 1, "", "is_network_enabled"], [17, 1, 1, "", "itransform"], [17, 3, 1, "", "name"], [17, 3, 1, "", "operations"], [17, 3, 1, "", "remarks"], [17, 3, 1, "", "scope"], [17, 3, 1, "", "source_crs"], [17, 2, 1, "", "srs"], [17, 3, 1, "", "target_crs"], [17, 1, 1, "", "to_json"], [17, 1, 1, "", "to_json_dict"], [17, 1, 1, "", "to_latlong"], [17, 1, 1, "", "to_latlong_def"], [17, 1, 1, "", "to_proj4"], [17, 1, 1, "", "to_wkt"], [17, 1, 1, "", "transform"], [17, 1, 1, "", "transform_bounds"]], "pyproj._crs": [[3, 0, 1, "", "Axis"], [2, 0, 1, "", "Grid"], [2, 0, 1, "", "Param"]], "pyproj._crs.Axis": [[3, 2, 1, "", "abbrev"], [3, 2, 1, "", "direction"], [3, 2, 1, "", "name"], [3, 2, 1, "", "unit_auth_code"], [3, 2, 1, "", "unit_code"], [3, 2, 1, "", "unit_conversion_factor"], [3, 2, 1, "", "unit_name"]], "pyproj._crs.Grid": [[2, 2, 1, "", "available"], [2, 2, 1, "", "direct_download"], [2, 2, 1, "", "full_name"], [2, 2, 1, "", "open_license"], [2, 2, 1, "", "package_name"], [2, 2, 1, "", "short_name"], [2, 2, 1, "", "url"]], "pyproj._crs.Param": [[2, 2, 1, "", "auth_name"], [2, 2, 1, "", "code"], [2, 2, 1, "", "name"], [2, 2, 1, "", "unit_auth_name"], [2, 2, 1, "", "unit_category"], [2, 2, 1, "", "unit_code"], [2, 2, 1, "", "unit_conversion_factor"], [2, 2, 1, "", "unit_name"], [2, 2, 1, "", "value"]], "pyproj.aoi": [[1, 0, 1, "", "AreaOfInterest"], [1, 0, 1, "", "AreaOfUse"], [1, 0, 1, "", "BBox"]], "pyproj.aoi.AreaOfInterest": [[1, 2, 1, "", "east_lon_degree"], [1, 2, 1, "", "north_lat_degree"], [1, 2, 1, "", "south_lat_degree"], [1, 2, 1, "", "west_lon_degree"]], "pyproj.aoi.AreaOfUse": [[1, 3, 1, "", "bounds"], [1, 2, 1, "", "east"], [1, 2, 1, "", "name"], [1, 2, 1, "", "north"], [1, 2, 1, "", "south"], [1, 2, 1, "", "west"]], "pyproj.aoi.BBox": [[1, 1, 1, "", "contains"], [1, 2, 1, "", "east"], [1, 1, 1, "", "intersects"], [1, 2, 1, "", "north"], [1, 2, 1, "", "south"], [1, 2, 1, "", "west"]], "pyproj.crs": [[4, 0, 1, "", "BoundCRS"], [4, 0, 1, "", "CRS"], [4, 0, 1, "", "CompoundCRS"], [2, 0, 1, "", "CoordinateOperation"], [3, 0, 1, "", "CoordinateSystem"], [4, 0, 1, "", "CustomConstructorCRS"], [5, 0, 1, "", "Datum"], [4, 0, 1, "", "DerivedGeographicCRS"], [5, 0, 1, "", "Ellipsoid"], [4, 0, 1, "", "GeocentricCRS"], [4, 0, 1, "", "GeographicCRS"], [5, 0, 1, "", "PrimeMeridian"], [4, 0, 1, "", "ProjectedCRS"], [4, 0, 1, "", "VerticalCRS"], [4, 4, 1, "", "is_proj"], [4, 4, 1, "", "is_wkt"]], "pyproj.crs.BoundCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.CRS": [[4, 1, 1, "", "__init__"], [4, 3, 1, "", "area_of_use"], [4, 3, 1, "", "axis_info"], [4, 3, 1, "", "coordinate_operation"], [4, 3, 1, "", "coordinate_system"], [4, 1, 1, "", "cs_to_cf"], [4, 3, 1, "", "datum"], [4, 3, 1, "", "ellipsoid"], [4, 1, 1, "", "equals"], [4, 1, 1, "", "from_authority"], [4, 1, 1, "", "from_cf"], [4, 1, 1, "", "from_dict"], [4, 1, 1, "", "from_epsg"], [4, 1, 1, "", "from_json"], [4, 1, 1, "", "from_json_dict"], [4, 1, 1, "", "from_proj4"], [4, 1, 1, "", "from_string"], [4, 1, 1, "", "from_user_input"], [4, 1, 1, "", "from_wkt"], [4, 3, 1, "", "geodetic_crs"], [4, 1, 1, "", "get_geod"], [4, 3, 1, "", "is_bound"], [4, 3, 1, "", "is_compound"], [4, 3, 1, "", "is_derived"], [4, 3, 1, "", "is_engineering"], [4, 1, 1, "", "is_exact_same"], [4, 3, 1, "", "is_geocentric"], [4, 3, 1, "", "is_geographic"], [4, 3, 1, "", "is_projected"], [4, 3, 1, "", "is_vertical"], [4, 1, 1, "", "list_authority"], [4, 3, 1, "", "name"], [4, 3, 1, "", "prime_meridian"], [4, 3, 1, "", "remarks"], [4, 3, 1, "", "scope"], [4, 3, 1, "", "source_crs"], [4, 2, 1, "", "srs"], [4, 3, 1, "", "sub_crs_list"], [4, 3, 1, "", "target_crs"], [4, 1, 1, "", "to_3d"], [4, 1, 1, "", "to_authority"], [4, 1, 1, "", "to_cf"], [4, 1, 1, "", "to_dict"], [4, 1, 1, "", "to_epsg"], [4, 1, 1, "", "to_json"], [4, 1, 1, "", "to_json_dict"], [4, 1, 1, "", "to_proj4"], [4, 1, 1, "", "to_string"], [4, 1, 1, "", "to_wkt"], [4, 3, 1, "", "type_name"], [4, 3, 1, "", "utm_zone"]], "pyproj.crs.CompoundCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.CoordinateOperation": [[2, 2, 1, "", "accuracy"], [2, 2, 1, "", "area_of_use"], [2, 1, 1, "", "from_authority"], [2, 1, 1, "", "from_epsg"], [2, 1, 1, "", "from_json"], [2, 1, 1, "", "from_json_dict"], [2, 1, 1, "", "from_name"], [2, 1, 1, "", "from_string"], [2, 1, 1, "", "from_user_input"], [2, 2, 1, "", "grids"], [2, 2, 1, "", "has_ballpark_transformation"], [2, 1, 1, "", "is_exact_same"], [2, 2, 1, "", "is_instantiable"], [2, 2, 1, "", "method_auth_name"], [2, 2, 1, "", "method_code"], [2, 2, 1, "", "method_name"], [2, 2, 1, "", "name"], [2, 2, 1, "", "operations"], [2, 2, 1, "", "params"], [2, 2, 1, "", "remarks"], [2, 2, 1, "", "scope"], [2, 1, 1, "", "to_json"], [2, 1, 1, "", "to_json_dict"], [2, 1, 1, "", "to_proj4"], [2, 1, 1, "", "to_wkt"], [2, 2, 1, "", "towgs84"]], "pyproj.crs.CoordinateSystem": [[3, 2, 1, "", "axis_list"], [3, 1, 1, "", "from_json"], [3, 1, 1, "", "from_json_dict"], [3, 1, 1, "", "from_string"], [3, 1, 1, "", "from_user_input"], [3, 1, 1, "", "is_exact_same"], [3, 2, 1, "", "name"], [3, 2, 1, "", "remarks"], [3, 2, 1, "", "scope"], [3, 1, 1, "", "to_cf"], [3, 1, 1, "", "to_json"], [3, 1, 1, "", "to_json_dict"], [3, 1, 1, "", "to_wkt"]], "pyproj.crs.CustomConstructorCRS": [[4, 1, 1, "", "from_user_input"], [4, 3, 1, "", "geodetic_crs"], [4, 3, 1, "", "source_crs"], [4, 3, 1, "", "sub_crs_list"], [4, 3, 1, "", "target_crs"], [4, 1, 1, "", "to_3d"]], "pyproj.crs.Datum": [[5, 2, 1, "", "ellipsoid"], [5, 1, 1, "", "from_authority"], [5, 1, 1, "", "from_epsg"], [5, 1, 1, "", "from_json"], [5, 1, 1, "", "from_json_dict"], [5, 1, 1, "", "from_name"], [5, 1, 1, "", "from_string"], [5, 1, 1, "", "from_user_input"], [5, 1, 1, "", "is_exact_same"], [5, 2, 1, "", "name"], [5, 2, 1, "", "prime_meridian"], [5, 2, 1, "", "remarks"], [5, 2, 1, "", "scope"], [5, 1, 1, "", "to_json"], [5, 1, 1, "", "to_json_dict"], [5, 1, 1, "", "to_wkt"]], "pyproj.crs.DerivedGeographicCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.Ellipsoid": [[5, 1, 1, "", "from_authority"], [5, 1, 1, "", "from_epsg"], [5, 1, 1, "", "from_json"], [5, 1, 1, "", "from_json_dict"], [5, 1, 1, "", "from_name"], [5, 1, 1, "", "from_string"], [5, 1, 1, "", "from_user_input"], [5, 2, 1, "", "inverse_flattening"], [5, 1, 1, "", "is_exact_same"], [5, 2, 1, "", "is_semi_minor_computed"], [5, 2, 1, "", "name"], [5, 2, 1, "", "remarks"], [5, 2, 1, "", "scope"], [5, 2, 1, "", "semi_major_metre"], [5, 2, 1, "", "semi_minor_metre"], [5, 1, 1, "", "to_json"], [5, 1, 1, "", "to_json_dict"], [5, 1, 1, "", "to_wkt"]], "pyproj.crs.GeocentricCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.GeographicCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.PrimeMeridian": [[5, 1, 1, "", "from_authority"], [5, 1, 1, "", "from_epsg"], [5, 1, 1, "", "from_json"], [5, 1, 1, "", "from_json_dict"], [5, 1, 1, "", "from_name"], [5, 1, 1, "", "from_string"], [5, 1, 1, "", "from_user_input"], [5, 1, 1, "", "is_exact_same"], [5, 2, 1, "", "name"], [5, 2, 1, "", "remarks"], [5, 2, 1, "", "scope"], [5, 1, 1, "", "to_json"], [5, 1, 1, "", "to_json_dict"], [5, 1, 1, "", "to_wkt"], [5, 2, 1, "", "unit_name"]], "pyproj.crs.ProjectedCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.VerticalCRS": [[4, 1, 1, "", "__init__"]], "pyproj.crs.coordinate_operation": [[2, 0, 1, "", "AlbersEqualAreaConversion"], [2, 0, 1, "", "AzimuthalEquidistantConversion"], [2, 0, 1, "", "EquidistantCylindricalConversion"], [2, 0, 1, "", "GeostationarySatelliteConversion"], [2, 0, 1, "", "HotineObliqueMercatorBConversion"], [2, 0, 1, "", "LambertAzimuthalEqualAreaConversion"], [2, 0, 1, "", "LambertConformalConic1SPConversion"], [2, 0, 1, "", "LambertConformalConic2SPConversion"], [2, 0, 1, "", "LambertCylindricalEqualAreaConversion"], [2, 0, 1, "", "LambertCylindricalEqualAreaScaleConversion"], [2, 0, 1, "", "MercatorAConversion"], [2, 0, 1, "", "MercatorBConversion"], [2, 0, 1, "", "OrthographicConversion"], [2, 2, 1, "", "PlateCarreeConversion"], [2, 0, 1, "", "PolarStereographicAConversion"], [2, 0, 1, "", "PolarStereographicBConversion"], [2, 0, 1, "", "PoleRotationNetCDFCFConversion"], [2, 0, 1, "", "RotatedLatitudeLongitudeConversion"], [2, 0, 1, "", "SinusoidalConversion"], [2, 0, 1, "", "StereographicConversion"], [2, 0, 1, "", "ToWGS84Transformation"], [2, 0, 1, "", "TransverseMercatorConversion"], [2, 0, 1, "", "UTMConversion"], [2, 0, 1, "", "VerticalPerspectiveConversion"]], "pyproj.crs.coordinate_operation.AlbersEqualAreaConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.AzimuthalEquidistantConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.EquidistantCylindricalConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.GeostationarySatelliteConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.HotineObliqueMercatorBConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.LambertAzimuthalEqualAreaConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.LambertConformalConic1SPConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.LambertConformalConic2SPConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.LambertCylindricalEqualAreaConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.MercatorAConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.MercatorBConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.OrthographicConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.PolarStereographicAConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.PolarStereographicBConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.PoleRotationNetCDFCFConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.RotatedLatitudeLongitudeConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.SinusoidalConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.StereographicConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.ToWGS84Transformation": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.TransverseMercatorConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.UTMConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_operation.VerticalPerspectiveConversion": [[2, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_system": [[3, 0, 1, "", "Cartesian2DCS"], [3, 0, 1, "", "Ellipsoidal2DCS"], [3, 0, 1, "", "Ellipsoidal3DCS"], [3, 0, 1, "", "VerticalCS"]], "pyproj.crs.coordinate_system.Cartesian2DCS": [[3, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_system.Ellipsoidal2DCS": [[3, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_system.Ellipsoidal3DCS": [[3, 1, 1, "", "__new__"]], "pyproj.crs.coordinate_system.VerticalCS": [[3, 1, 1, "", "__new__"]], "pyproj.crs.datum": [[5, 0, 1, "", "CustomDatum"], [5, 0, 1, "", "CustomEllipsoid"], [5, 0, 1, "", "CustomPrimeMeridian"]], "pyproj.crs.datum.CustomDatum": [[5, 1, 1, "", "__new__"]], "pyproj.crs.datum.CustomEllipsoid": [[5, 1, 1, "", "__new__"]], "pyproj.crs.datum.CustomPrimeMeridian": [[5, 1, 1, "", "__new__"]], "pyproj.crs.enums": [[6, 0, 1, "", "Cartesian2DCSAxis"], [6, 0, 1, "", "CoordinateOperationType"], [6, 0, 1, "", "DatumType"], [6, 0, 1, "", "Ellipsoidal2DCSAxis"], [6, 0, 1, "", "Ellipsoidal3DCSAxis"], [6, 0, 1, "", "VerticalCSAxis"]], "pyproj.crs.enums.Cartesian2DCSAxis": [[6, 2, 1, "", "EASTING_NORTHING"], [6, 2, 1, "", "EASTING_NORTHING_FT"], [6, 2, 1, "", "EASTING_NORTHING_US_FT"], [6, 2, 1, "", "NORTHING_EASTING"], [6, 2, 1, "", "NORTHING_EASTING_FT"], [6, 2, 1, "", "NORTHING_EASTING_US_FT"], [6, 2, 1, "", "NORTH_POLE_EASTING_SOUTH_NORTHING_SOUTH"], [6, 2, 1, "", "SOUTH_POLE_EASTING_NORTH_NORTHING_NORTH"], [6, 2, 1, "", "WESTING_SOUTHING"]], "pyproj.crs.enums.CoordinateOperationType": [[6, 2, 1, "", "CONCATENATED_OPERATION"], [6, 2, 1, "", "CONVERSION"], [6, 2, 1, "", "OTHER_COORDINATE_OPERATION"], [6, 2, 1, "", "TRANSFORMATION"]], "pyproj.crs.enums.DatumType": [[6, 2, 1, "", "DATUM_ENSEMBLE"], [6, 2, 1, "", "DYNAMIC_GEODETIC_REFERENCE_FRAME"], [6, 2, 1, "", "DYNAMIC_VERTICAL_REFERENCE_FRAME"], [6, 2, 1, "", "GEODETIC_REFERENCE_FRAME"], [6, 2, 1, "", "VERTICAL_REFERENCE_FRAME"]], "pyproj.crs.enums.Ellipsoidal2DCSAxis": [[6, 2, 1, "", "LATITUDE_LONGITUDE"], [6, 2, 1, "", "LONGITUDE_LATITUDE"]], "pyproj.crs.enums.Ellipsoidal3DCSAxis": [[6, 2, 1, "", "LATITUDE_LONGITUDE_HEIGHT"], [6, 2, 1, "", "LONGITUDE_LATITUDE_HEIGHT"]], "pyproj.crs.enums.VerticalCSAxis": [[6, 2, 1, "", "DEPTH"], [6, 2, 1, "", "DEPTH_FT"], [6, 2, 1, "", "DEPTH_US_FT"], [6, 2, 1, "", "GRAVITY_HEIGHT"], [6, 2, 1, "", "GRAVITY_HEIGHT_FT"], [6, 2, 1, "", "GRAVITY_HEIGHT_US_FT"], [6, 2, 1, "", "UP"], [6, 2, 1, "", "UP_FT"], [6, 2, 1, "", "UP_US_FT"]], "pyproj.database": [[8, 0, 1, "", "CRSInfo"], [8, 0, 1, "", "Unit"], [8, 4, 1, "", "get_authorities"], [8, 4, 1, "", "get_codes"], [8, 4, 1, "", "get_database_metadata"], [8, 4, 1, "", "get_units_map"], [8, 4, 1, "", "query_crs_info"], [8, 4, 1, "", "query_utm_crs_info"]], "pyproj.datadir": [[9, 4, 1, "", "append_data_dir"], [9, 4, 1, "", "get_data_dir"], [9, 4, 1, "", "get_user_data_dir"], [9, 4, 1, "", "set_data_dir"]], "pyproj.enums": [[10, 0, 1, "", "GeodIntermediateFlag"], [10, 0, 1, "", "PJType"], [10, 0, 1, "", "ProjVersion"], [10, 0, 1, "", "TransformDirection"], [10, 0, 1, "", "WktVersion"]], "pyproj.enums.PJType": [[10, 2, 1, "", "BOUND_CRS"], [10, 2, 1, "", "COMPOUND_CRS"], [10, 2, 1, "", "CONCATENATED_OPERATION"], [10, 2, 1, "", "CONVERSION"], [10, 2, 1, "", "CRS"], [10, 2, 1, "", "DATUM_ENSEMBLE"], [10, 2, 1, "", "DYNAMIC_GEODETIC_REFERENCE_FRAME"], [10, 2, 1, "", "DYNAMIC_VERTICAL_REFERENCE_FRAME"], [10, 2, 1, "", "ELLIPSOID"], [10, 2, 1, "", "ENGINEERING_CRS"], [10, 2, 1, "", "GEOCENTRIC_CRS"], [10, 2, 1, "", "GEODETIC_CRS"], [10, 2, 1, "", "GEODETIC_REFERENCE_FRAME"], [10, 2, 1, "", "GEOGRAPHIC_2D_CRS"], [10, 2, 1, "", "GEOGRAPHIC_3D_CRS"], [10, 2, 1, "", "GEOGRAPHIC_CRS"], [10, 2, 1, "", "OTHER_COORDINATE_OPERATION"], [10, 2, 1, "", "OTHER_CRS"], [10, 2, 1, "", "PRIME_MERIDIAN"], [10, 2, 1, "", "PROJECTED_CRS"], [10, 2, 1, "", "TEMPORAL_CRS"], [10, 2, 1, "", "TRANSFORMATION"], [10, 2, 1, "", "UNKNOWN"], [10, 2, 1, "", "VERTICAL_CRS"], [10, 2, 1, "", "VERTICAL_REFERENCE_FRAME"]], "pyproj.enums.ProjVersion": [[10, 2, 1, "", "PROJ_4"], [10, 2, 1, "", "PROJ_5"]], "pyproj.enums.TransformDirection": [[10, 2, 1, "", "FORWARD"], [10, 2, 1, "", "IDENT"], [10, 2, 1, "", "INVERSE"]], "pyproj.enums.WktVersion": [[10, 2, 1, "", "WKT1_ESRI"], [10, 2, 1, "", "WKT1_GDAL"], [10, 2, 1, "", "WKT2_2015"], [10, 2, 1, "", "WKT2_2015_SIMPLIFIED"], [10, 2, 1, "", "WKT2_2018"], [10, 2, 1, "", "WKT2_2018_SIMPLIFIED"], [10, 2, 1, "", "WKT2_2019"], [10, 2, 1, "", "WKT2_2019_SIMPLIFIED"]], "pyproj.exceptions": [[11, 6, 1, "", "CRSError"], [11, 6, 1, "", "DataDirError"], [11, 6, 1, "", "GeodError"], [11, 6, 1, "", "ProjError"]], "pyproj.exceptions.ProjError": [[11, 1, 1, "", "clear"]], "pyproj.geod": [[12, 0, 1, "", "GeodIntermediateReturn"]], "pyproj.geod.GeodIntermediateReturn": [[12, 2, 1, "", "azis"], [12, 2, 1, "", "del_s"], [12, 2, 1, "", "dist"], [12, 2, 1, "", "lats"], [12, 2, 1, "", "lons"], [12, 2, 1, "", "npts"]], "pyproj.list": [[15, 4, 1, "", "get_ellps_map"], [15, 4, 1, "", "get_prime_meridians_map"], [15, 4, 1, "", "get_proj_operations_map"]], "pyproj.network": [[16, 4, 1, "", "is_network_enabled"], [16, 4, 1, "", "set_ca_bundle_path"], [16, 4, 1, "", "set_network_enabled"]], "pyproj.proj": [[17, 0, 1, "", "Factors"]], "pyproj.proj.Factors": [[17, 2, 1, "", "angular_distortion"], [17, 2, 1, "", "areal_scale"], [17, 2, 1, "", "dx_dlam"], [17, 2, 1, "", "dx_dphi"], [17, 2, 1, "", "dy_dlam"], [17, 2, 1, "", "dy_dphi"], [17, 2, 1, "", "meridian_convergence"], [17, 2, 1, "", "meridian_parallel_angle"], [17, 2, 1, "", "meridional_scale"], [17, 2, 1, "", "parallel_scale"], [17, 2, 1, "", "tissot_semimajor"], [17, 2, 1, "", "tissot_semiminor"]], "pyproj.sync": [[19, 4, 1, "", "get_proj_endpoint"], [19, 4, 1, "", "get_transform_grid_list"]], "pyproj.transformer": [[20, 0, 1, "", "Transformer"], [20, 0, 1, "", "TransformerGroup"], [20, 4, 1, "", "itransform"], [20, 4, 1, "", "transform"]], "pyproj.transformer.Transformer": [[20, 3, 1, "", "accuracy"], [20, 3, 1, "", "area_of_use"], [20, 3, 1, "", "definition"], [20, 3, 1, "", "description"], [20, 1, 1, "", "from_crs"], [20, 1, 1, "", "from_pipeline"], [20, 1, 1, "", "from_proj"], [20, 1, 1, "", "get_last_used_operation"], [20, 3, 1, "", "has_inverse"], [20, 1, 1, "", "is_exact_same"], [20, 3, 1, "", "is_network_enabled"], [20, 1, 1, "", "itransform"], [20, 3, 1, "", "name"], [20, 3, 1, "", "operations"], [20, 3, 1, "", "remarks"], [20, 3, 1, "", "scope"], [20, 3, 1, "", "source_crs"], [20, 3, 1, "", "target_crs"], [20, 1, 1, "", "to_json"], [20, 1, 1, "", "to_json_dict"], [20, 1, 1, "", "to_proj4"], [20, 1, 1, "", "to_wkt"], [20, 1, 1, "", "transform"], [20, 1, 1, "", "transform_bounds"]], "pyproj.transformer.TransformerGroup": [[20, 1, 1, "", "__init__"], [20, 3, 1, "", "best_available"], [20, 1, 1, "", "download_grids"], [20, 3, 1, "", "transformers"], [20, 3, 1, "", "unavailable_operations"]], "": [[29, 7, 1, "-", "PROJ_DIR"], [29, 7, 1, "-", "PROJ_INCDIR"], [29, 7, 1, "-", "PROJ_LIBDIR"], [29, 7, 1, "-", "PROJ_VERSION"], [29, 7, 1, "-", "PROJ_WHEEL"], [29, 7, 1, "-", "PYPROJ_FULL_COVERAGE"]]}, "objtypes": {"0": "py:class", "1": "py:method", "2": "py:attribute", "3": "py:property", "4": "py:function", "5": "py:module", "6": "py:exception", "7": "std:envvar"}, "objnames": {"0": ["py", "class", "Python class"], "1": ["py", "method", "Python method"], "2": ["py", "attribute", "Python attribute"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "module", "Python module"], "6": ["py", "exception", "Python exception"], "7": ["std", "envvar", "environment variable"]}, "titleterms": {"advanc": 0, "exampl": 0, "optim": [0, 30], "transform": [0, 19, 20, 25, 29, 30, 32], "repeat": 0, "same": 0, "project": [0, 21, 25, 26], "group": 0, "area": [0, 1, 25], "interest": [0, 1], "promot": 0, "cr": [0, 4, 7, 21, 22, 24, 25, 26], "3d": 0, "bound": [0, 21], "multithread": 0, "singl": 0, "thread": 0, "applic": 0, "cach": 0, "pyproj": [0, 1, 8, 9, 12, 13, 15, 16, 17, 18, 19, 20, 24, 26, 28, 29], "object": 0, "debug": 0, "intern": [0, 26], "proj": [0, 16, 17, 26, 29, 32], "aoi": 1, "areaofinterest": 1, "areaofus": 1, "bbox": 1, "coordin": [2, 3, 21, 22, 25], "oper": 2, "coordinateoper": 2, "param": 2, "grid": [2, 19, 22, 29, 32], "albersequalareaconvers": 2, "azimuthalequidistantconvers": 2, "equidistantcylindricalconvers": 2, "geostationarysatelliteconvers": 2, "lambertazimuthalequalareaconvers": 2, "lambertconformalconic1spconvers": 2, "lambertconformalconic2spconvers": 2, "lambertcylindricalequalareaconvers": 2, "mercatoraconvers": 2, "mercatorbconvers": 2, "hotineobliquemercatorbconvers": 2, "orthographicconvers": 2, "platecarreeconvers": 2, "polarstereographicaconvers": 2, "polarstereographicbconvers": 2, "sinusoidalconvers": 2, "stereographicconvers": 2, "utmconvers": 2, "transversemercatorconvers": 2, "verticalperspectiveconvers": 2, "rotatedlatitudelongitudeconvers": 2, "polerotationnetcdfcfconvers": 2, "towgs84transform": 2, "system": [3, 21, 22], "coordinatesystem": 3, "axi": [3, 25, 26], "ellipsoidal2dc": 3, "ellipsoidal3dc": 3, "cartesian2dc": 3, "verticalc": 3, "geographiccr": 4, "derivedgeographiccr": 4, "geocentriccr": 4, "projectedcr": 4, "verticalcr": 4, "boundcr": 4, "compoundcr": 4, "customconstructorcr": 4, "is_wkt": 4, "is_proj": 4, "datum": [5, 25], "customdatum": 5, "ellipsoid": 5, "customellipsoid": 5, "primemeridian": 5, "customprimemeridian": 5, "enumer": [6, 10], "datumtyp": 6, "coordinateoperationtyp": 6, "cartesian2dcsaxi": 6, "ellipsoidal2dcsaxi": 6, "ellipsoidal3dcsaxi": 6, "verticalcsaxi": 6, "modul": 7, "api": [7, 14], "document": [7, 14, 28, 31], "content": [7, 14, 28], "databas": 8, "get_units_map": 8, "get_author": 8, "get_cod": 8, "query_crs_info": 8, "query_utm_crs_info": 8, "get_database_metadata": 8, "data": [9, 32], "directori": 9, "datadir": 9, "get_data_dir": 9, "set_data_dir": 9, "append_data_dir": 9, "get_user_data_dir": 9, "except": 11, "geod": [12, 25], "global": 13, "context": 13, "set_use_global_context": 13, "list": 15, "get_proj_operations_map": 15, "get_ellps_map": 15, "get_prime_meridians_map": 15, "network": 16, "set": 16, "set_network_en": 16, "is_network_en": 16, "set_ca_bundle_path": 16, "factor": 17, "show": 18, "version": 18, "show_vers": 18, "sync": [19, 23], "get_transform_grid_list": 19, "get_proj_endpoint": 19, "transformergroup": 20, "itransform": 20, "build": [21, 22, 29], "refer": 21, "geograph": [21, 25], "compound": 21, "manag": 22, "from": [22, 24, 25, 26, 29], "cf": 22, "export": 22, "import": 22, "map": 22, "modifi": 22, "cli": 23, "option": 23, "sub": 23, "command": 23, "compat": 24, "guid": 24, "geospati": 24, "python": 24, "osgeo": 24, "gdal": 24, "convert": [24, 25, 26], "osr": 24, "spatialrefer": 24, "rasterio": 24, "fiona": 24, "geopanda": 24, "prepar": 24, "cartopi": 24, "pycr": 24, "get": 25, "start": 25, "us": [25, 26], "initi": 25, "differ": 25, "format": [25, 26], "extract": 25, "attribut": 25, "find": 25, "utm": 25, "latitud": [25, 26], "longitud": [25, 26], "step": 25, "1": [25, 26, 27], "inspect": 25, "definit": 25, "ensur": 25, "proper": 25, "order": [25, 26], "2": [25, 26, 27], "creat": 25, "between": 25, "within": 25, "one": 25, "retriev": 25, "geodet": 25, "base": 25, "origin": 25, "4d": 25, "time": 25, "geodes": 25, "calcul": 25, "class": 25, "line": 25, "length": 25, "gotcha": 26, "faq": 26, "what": [26, 32], "ar": 26, "best": 26, "store": 26, "inform": 26, "chang": [26, 27], "6": [26, 27, 32], "init": 26, "auth": 26, "auth_cod": 26, "should": 26, "replac": 26, "Not": 26, "gener": 26, "why": 26, "doe": 26, "epsg": 26, "code": 26, "return": 26, "when": 26, "xxxx": 26, "error": 26, "sqlite": 26, "select": 26, "upgrad": 26, "log": 27, "latest": 27, "3": 27, "0": 27, "5": 27, "4": 27, "9": 27, "git": 27, "tag": 27, "v1": 27, "4rel": 27, "svn": 27, "revis": 27, "327": 27, "301": 27, "285": 27, "282": 27, "8": 27, "222": 27, "196": 27, "7": [27, 32], "175": 27, "169": 27, "155": 27, "151": 27, "146": 27, "indic": 28, "tabl": 28, "instal": 29, "sourc": 29, "setup": 29, "environ": 29, "variabl": 29, "pypi": 29, "github": 29, "pip": 29, "clone": 29, "repo": 29, "develop": 29, "archiv": 31, "download": 32}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.viewcode": 1, "sphinx.ext.intersphinx": 1, "sphinx": 56}})